Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GMFGenPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.gmf.codegen.gmfgen.impl.GMFGenPackageImpl

All Implemented Interfaces:
  BasicExtendedMetaData.EPackageExtendedMetaData.Holder, EModelElement, ENamedElement, EObject, EPackage, GMFGenPackage, InternalEObject, Notifier

public class GMFGenPackageImpl
extends EPackageImpl
implements GMFGenPackage

An implementation of the model Package.

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GMFGenPackage

`ATTRIBUTES, ATTRIBUTES_FEATURE_COUNT, BATCH_VALIDATION, BATCH_VALIDATION__MARKER_NAVIGATION_PROVIDER_CLASS_NAME, BATCH_VALIDATION__MARKER_NAVIGATION_PROVIDER_PRIORITY, BATCH_VALIDATION__METRIC_PROVIDER_CLASS_NAME, BATCH_VALIDATION__METRIC_PROVIDER_PRIORITY, BATCH_VALIDATION__VALIDATION_DECORATOR_PROVIDER_CLASS_NAME, BATCH_VALIDATION__VALIDATION_DECORATOR_PROVIDER_PRIORITY, BATCH_VALIDATION__VALIDATION_DECORATORS, BATCH_VALIDATION__VALIDATION_ENABLED, BATCH_VALIDATION__VALIDATION_PROVIDER_CLASS_NAME, BATCH_VALIDATION__VALIDATION_PROVIDER_PRIORITY, BATCH_VALIDATION_FEATURE_COUNT, COLOR_ATTRIBUTES, COLOR_ATTRIBUTES__BACKGROUND_COLOR, COLOR_ATTRIBUTES__FOREGROUND_COLOR, COLOR_ATTRIBUTES_FEATURE_COUNT, COMPOSITE_FEATURE_LABEL_MODEL_FACET, COMPOSITE_FEATURE_LABEL_MODEL_FACET__EDIT_PATTERN, COMPOSITE_FEATURE_LABEL_MODEL_FACET__META_FEATURES, COMPOSITE_FEATURE_LABEL_MODEL_FACET__VIEW_PATTERN, COMPOSITE_FEATURE_LABEL_MODEL_FACET_FEATURE_COUNT, COMPOSITE_FEATURE_MODEL_FACET, COMPOSITE_FEATURE_MODEL_FACET__META_FEATURES, COMPOSITE_FEATURE_MODEL_FACET_FEATURE_COUNT, DEFAULT_SIZE_ATTRIBUTES, DEFAULT_SIZE_ATTRIBUTES__HEIGHT, DEFAULT_SIZE_ATTRIBUTES__WIDTH, DEFAULT_SIZE_ATTRIBUTES_FEATURE_COUNT, DESIGN_LABEL_MODEL_FACET, DESIGN_LABEL_MODEL_FACET_FEATURE_COUNT, EDIT_PART_CANDIES, EDIT_PART_CANDIES__BASE_EDIT_HELPER_CLASS_NAME, EDIT_PART_CANDIES__BASE_EXTERNAL_NODE_LABEL_EDIT_PART_CLASS_NAME, EDIT_PART_CANDIES__BASE_GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME, EDIT_PART_CANDIES__BASE_ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, EDIT_PART_CANDIES__CANONICAL_EDIT_POLICY_CLASS_NAME, EDIT_PART_CANDIES__EDIT_PART_FACTORY_CLASS_NAME, EDIT_PART_CANDIES__EXTERNAL_NODE_LABEL_HOST_LAYOUT_EDIT_POLICY_CLASS_NAME, EDIT_PART_CANDIES__REFERENCE_CONNECTION_EDIT_POLICY_CLASS_NAME, EDIT_PART_CANDIES__REORIENT_CONNECTION_VIEW_COMMAND_CLASS_NAME, EDIT_PART_CANDIES__TEXT_NON_RESIZABLE_EDIT_POLICY_CLASS_NAME, EDIT_PART_CANDIES__TEXT_SELECTION_EDIT_POLICY_CLASS_NAME, EDIT_PART_CANDIES_FEATURE_COUNT, EDITOR_CANDIES, EDITOR_CANDIES__CREATION_WIZARD_CATEGORY_ID, EDITOR_CANDIES__CREATION_WIZARD_CLASS_NAME, EDITOR_CANDIES__CREATION_WIZARD_ICON_PATH, EDITOR_CANDIES__CREATION_WIZARD_PAGE_CLASS_NAME, EDITOR_CANDIES__DIAGRAM_EDITOR_UTIL_CLASS_NAME, EDITOR_CANDIES__DIAGRAM_FILE_CREATOR_CLASS_NAME, EDITOR_CANDIES__DOCUMENT_PROVIDER_CLASS_NAME, EDITOR_CANDIES__EDITING_DOMAIN_ID, EDITOR_CANDIES__ELEMENT_CHOOSER_CLASS_NAME, EDITOR_CANDIES__INIT_DIAGRAM_FILE_ACTION_CLASS_NAME, EDITOR_CANDIES__LOAD_RESOURCE_ACTION_CLASS_NAME, EDITOR_CANDIES__MATCHING_STRATEGY_CLASS_NAME, EDITOR_CANDIES__NEW_DIAGRAM_FILE_WIZARD_CLASS_NAME, EDITOR_CANDIES__PREFERENCE_INITIALIZER_CLASS_NAME, EDITOR_CANDIES__VISUAL_ID_REGISTRY_CLASS_NAME, EDITOR_CANDIES_FEATURE_COUNT, eINSTANCE, ELEMENT_TYPE, ELEMENT_TYPE__DEFINED_EXTERNALLY, ELEMENT_TYPE__DIAGRAM_ELEMENT, ELEMENT_TYPE__DISPLAY_NAME, ELEMENT_TYPE__UNIQUE_IDENTIFIER, ELEMENT_TYPE_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, ENTRY_BASE, ENTRY_BASE__CREATE_METHOD_NAME, ENTRY_BASE__DESCRIPTION, ENTRY_BASE__LARGE_ICON_PATH, ENTRY_BASE__SMALL_ICON_PATH, ENTRY_BASE__TITLE, ENTRY_BASE_FEATURE_COUNT, FEATURE_LABEL_MODEL_FACET, FEATURE_LABEL_MODEL_FACET__EDIT_PATTERN, FEATURE_LABEL_MODEL_FACET__META_FEATURE, FEATURE_LABEL_MODEL_FACET__VIEW_PATTERN, FEATURE_LABEL_MODEL_FACET_FEATURE_COUNT, FEATURE_LINK_MODEL_FACET, FEATURE_LINK_MODEL_FACET__META_FEATURE, FEATURE_LINK_MODEL_FACET_FEATURE_COUNT, FEATURE_MODEL_FACET, FEATURE_MODEL_FACET__META_FEATURE, FEATURE_MODEL_FACET_FEATURE_COUNT, FIGURE_VIEWMAP, FIGURE_VIEWMAP__ATTRIBUTES, FIGURE_VIEWMAP__FIGURE_QUALIFIED_CLASS_NAME, FIGURE_VIEWMAP__LAYOUT_TYPE, FIGURE_VIEWMAP__REQUIRED_PLUGIN_IDS, FIGURE_VIEWMAP_FEATURE_COUNT, GEN_AUDIT_CONTAINER, GEN_AUDIT_CONTAINER__AUDITS, GEN_AUDIT_CONTAINER__CHILD_CONTAINERS, GEN_AUDIT_CONTAINER__DESCRIPTION, GEN_AUDIT_CONTAINER__EDITOR, GEN_AUDIT_CONTAINER__ID, GEN_AUDIT_CONTAINER__NAME, GEN_AUDIT_CONTAINER__PARENT_CONTAINER, GEN_AUDIT_CONTAINER_FEATURE_COUNT, GEN_AUDIT_RULE, GEN_AUDIT_RULE__CONTAINER, GEN_AUDIT_RULE__DESCRIPTION, GEN_AUDIT_RULE__ID, GEN_AUDIT_RULE__MESSAGE, GEN_AUDIT_RULE__NAME, GEN_AUDIT_RULE__RULE, GEN_AUDIT_RULE__SEVERITY, GEN_AUDIT_RULE__TARGET, GEN_AUDIT_RULE__USE_IN_LIVE_MODE, GEN_AUDIT_RULE_FEATURE_COUNT, GEN_AUDITABLE, GEN_AUDITABLE_FEATURE_COUNT, GEN_AUDITED_METRIC_TARGET, GEN_AUDITED_METRIC_TARGET__METRIC, GEN_AUDITED_METRIC_TARGET__METRIC_VALUE_CONTEXT, GEN_AUDITED_METRIC_TARGET_FEATURE_COUNT, GEN_CHILD_CONTAINER, GEN_CHILD_CONTAINER__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_CHILD_CONTAINER__CHILD_NODES, GEN_CHILD_CONTAINER__CONTAINED_NODES, GEN_CHILD_CONTAINER__DIAGRAM_RUN_TIME_CLASS, GEN_CHILD_CONTAINER__EDIT_PART_CLASS_NAME, GEN_CHILD_CONTAINER__ELEMENT_TYPE, GEN_CHILD_CONTAINER__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_CHILD_CONTAINER__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_CHILD_CONTAINER__VIEWMAP, GEN_CHILD_CONTAINER__VISUAL_ID, GEN_CHILD_CONTAINER_FEATURE_COUNT, GEN_CHILD_LABEL_NODE, GEN_CHILD_LABEL_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_CHILD_LABEL_NODE__CHILD_NODES, GEN_CHILD_LABEL_NODE__COMPARTMENTS, GEN_CHILD_LABEL_NODE__CONTAINED_NODES, GEN_CHILD_LABEL_NODE__CONTAINERS, GEN_CHILD_LABEL_NODE__DIAGRAM, GEN_CHILD_LABEL_NODE__DIAGRAM_RUN_TIME_CLASS, GEN_CHILD_LABEL_NODE__EDIT_PART_CLASS_NAME, GEN_CHILD_LABEL_NODE__ELEMENT_TYPE, GEN_CHILD_LABEL_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME, GEN_CHILD_LABEL_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_CHILD_LABEL_NODE__LABEL_ELEMENT_ICON, GEN_CHILD_LABEL_NODE__LABEL_MODEL_FACET, GEN_CHILD_LABEL_NODE__LABEL_READ_ONLY, GEN_CHILD_LABEL_NODE__LABELS, GEN_CHILD_LABEL_NODE__MODEL_FACET, GEN_CHILD_LABEL_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_CHILD_LABEL_NODE__VIEWMAP, GEN_CHILD_LABEL_NODE__VISUAL_ID, GEN_CHILD_LABEL_NODE_FEATURE_COUNT, GEN_CHILD_NODE, GEN_CHILD_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_CHILD_NODE__CHILD_NODES, GEN_CHILD_NODE__COMPARTMENTS, GEN_CHILD_NODE__CONTAINED_NODES, GEN_CHILD_NODE__CONTAINERS, GEN_CHILD_NODE__DIAGRAM, GEN_CHILD_NODE__DIAGRAM_RUN_TIME_CLASS, GEN_CHILD_NODE__EDIT_PART_CLASS_NAME, GEN_CHILD_NODE__ELEMENT_TYPE, GEN_CHILD_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME, GEN_CHILD_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_CHILD_NODE__LABELS, GEN_CHILD_NODE__MODEL_FACET, GEN_CHILD_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_CHILD_NODE__VIEWMAP, GEN_CHILD_NODE__VISUAL_ID, GEN_CHILD_NODE_FEATURE_COUNT, GEN_COMMON_BASE, GEN_COMMON_BASE__DIAGRAM_RUN_TIME_CLASS, GEN_COMMON_BASE__EDIT_PART_CLASS_NAME, GEN_COMMON_BASE__ELEMENT_TYPE, GEN_COMMON_BASE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_COMMON_BASE__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_COMMON_BASE__VIEWMAP, GEN_COMMON_BASE__VISUAL_ID, GEN_COMMON_BASE_FEATURE_COUNT, GEN_COMPARTMENT, GEN_COMPARTMENT__CAN_COLLAPSE, GEN_COMPARTMENT__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_COMPARTMENT__CHILD_NODES, GEN_COMPARTMENT__CONTAINED_NODES, GEN_COMPARTMENT__DIAGRAM, GEN_COMPARTMENT__DIAGRAM_RUN_TIME_CLASS, GEN_COMPARTMENT__EDIT_PART_CLASS_NAME, GEN_COMPARTMENT__ELEMENT_TYPE, GEN_COMPARTMENT__HIDE_IF_EMPTY, GEN_COMPARTMENT__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_COMPARTMENT__LIST_LAYOUT, GEN_COMPARTMENT__NEEDS_TITLE, GEN_COMPARTMENT__NODE, GEN_COMPARTMENT__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_COMPARTMENT__TITLE, GEN_COMPARTMENT__VIEWMAP, GEN_COMPARTMENT__VISUAL_ID, GEN_COMPARTMENT_FEATURE_COUNT, GEN_CONSTRAINT, GEN_CONSTRAINT__BODY, GEN_CONSTRAINT__LANG_NAME, GEN_CONSTRAINT__LANGUAGE, GEN_CONSTRAINT_FEATURE_COUNT, GEN_CONTAINER_BASE, GEN_CONTAINER_BASE__CONTAINED_NODES, GEN_CONTAINER_BASE__DIAGRAM_RUN_TIME_CLASS, GEN_CONTAINER_BASE__EDIT_PART_CLASS_NAME, GEN_CONTAINER_BASE__ELEMENT_TYPE, GEN_CONTAINER_BASE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_CONTAINER_BASE__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_CONTAINER_BASE__VIEWMAP, GEN_CONTAINER_BASE__VISUAL_ID, GEN_CONTAINER_BASE_FEATURE_COUNT, GEN_DIAGRAM, GEN_DIAGRAM__ABSTRACT_PARSER_CLASS_NAME, GEN_DIAGRAM__BASE_EDIT_HELPER_CLASS_NAME, GEN_DIAGRAM__BASE_EXTERNAL_NODE_LABEL_EDIT_PART_CLASS_NAME, GEN_DIAGRAM__BASE_GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME, GEN_DIAGRAM__BASE_ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_DIAGRAM__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_DIAGRAM__CHILD_NODES, GEN_DIAGRAM__COMPARTMENTS, GEN_DIAGRAM__CONTAINED_NODES, GEN_DIAGRAM__CONTAINS_SHORTCUTS_TO, GEN_DIAGRAM__CONTRIBUTION_ITEM_PROVIDER_CLASS_NAME, GEN_DIAGRAM__CREATE_SHORTCUT_ACTION_CLASS_NAME, GEN_DIAGRAM__CREATION_WIZARD_CATEGORY_ID, GEN_DIAGRAM__CREATION_WIZARD_CLASS_NAME, GEN_DIAGRAM__CREATION_WIZARD_ICON_PATH, GEN_DIAGRAM__CREATION_WIZARD_PAGE_CLASS_NAME, GEN_DIAGRAM__DIAGRAM_EDITOR_UTIL_CLASS_NAME, GEN_DIAGRAM__DIAGRAM_FILE_CREATOR_CLASS_NAME, GEN_DIAGRAM__DIAGRAM_RUN_TIME_CLASS, GEN_DIAGRAM__DOCUMENT_PROVIDER_CLASS_NAME, GEN_DIAGRAM__DOMAIN_DIAGRAM_ELEMENT, GEN_DIAGRAM__EDIT_COMMANDS_PACKAGE_NAME, GEN_DIAGRAM__EDIT_HELPERS_PACKAGE_NAME, GEN_DIAGRAM__EDIT_PART_CLASS_NAME, GEN_DIAGRAM__EDIT_PART_FACTORY_CLASS_NAME, GEN_DIAGRAM__EDIT_PART_PROVIDER_CLASS_NAME, GEN_DIAGRAM__EDIT_PART_PROVIDER_PRIORITY, GEN_DIAGRAM__EDIT_PARTS_PACKAGE_NAME, GEN_DIAGRAM__EDIT_POLICIES_PACKAGE_NAME, GEN_DIAGRAM__EDITING_DOMAIN_ID, GEN_DIAGRAM__EDITOR_GEN, GEN_DIAGRAM__ELEMENT_CHOOSER_CLASS_NAME, GEN_DIAGRAM__ELEMENT_TYPE, GEN_DIAGRAM__ELEMENT_TYPES_CLASS_NAME, GEN_DIAGRAM__EXTERNAL_NODE_LABEL_HOST_LAYOUT_EDIT_POLICY_CLASS_NAME, GEN_DIAGRAM__ICON_PROVIDER_CLASS_NAME, GEN_DIAGRAM__ICON_PROVIDER_PRIORITY, GEN_DIAGRAM__INIT_DIAGRAM_FILE_ACTION_CLASS_NAME, GEN_DIAGRAM__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_DIAGRAM__LINKS, GEN_DIAGRAM__LOAD_RESOURCE_ACTION_CLASS_NAME, GEN_DIAGRAM__MARKER_NAVIGATION_PROVIDER_CLASS_NAME, GEN_DIAGRAM__MARKER_NAVIGATION_PROVIDER_PRIORITY, GEN_DIAGRAM__MATCHING_STRATEGY_CLASS_NAME, GEN_DIAGRAM__METRIC_PROVIDER_CLASS_NAME, GEN_DIAGRAM__METRIC_PROVIDER_PRIORITY, GEN_DIAGRAM__MODELING_ASSISTANT_PROVIDER_CLASS_NAME, GEN_DIAGRAM__MODELING_ASSISTANT_PROVIDER_PRIORITY, GEN_DIAGRAM__NEW_DIAGRAM_FILE_WIZARD_CLASS_NAME, GEN_DIAGRAM__NOTATION_VIEW_FACTORIES_PACKAGE_NAME, GEN_DIAGRAM__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_DIAGRAM__NOTATION_VIEW_PROVIDER_CLASS_NAME, GEN_DIAGRAM__NOTATION_VIEW_PROVIDER_PRIORITY, GEN_DIAGRAM__PALETTE, GEN_DIAGRAM__PALETTE_PROVIDER_CLASS_NAME, GEN_DIAGRAM__PALETTE_PROVIDER_PRIORITY, GEN_DIAGRAM__PARSER_PROVIDER_CLASS_NAME, GEN_DIAGRAM__PARSER_PROVIDER_PRIORITY, GEN_DIAGRAM__PREFERENCE_INITIALIZER_CLASS_NAME, GEN_DIAGRAM__PROPERTY_PROVIDER_CLASS_NAME, GEN_DIAGRAM__PROPERTY_PROVIDER_PRIORITY, GEN_DIAGRAM__PROVIDERS_PACKAGE_NAME, GEN_DIAGRAM__REFERENCE_CONNECTION_EDIT_POLICY_CLASS_NAME, GEN_DIAGRAM__REORIENT_CONNECTION_VIEW_COMMAND_CLASS_NAME, GEN_DIAGRAM__SHORTCUTS_DECORATOR_PROVIDER_CLASS_NAME, GEN_DIAGRAM__SHORTCUTS_DECORATOR_PROVIDER_PRIORITY, GEN_DIAGRAM__SHORTCUTS_PROVIDED_FOR, GEN_DIAGRAM__STRUCTURAL_FEATURE_PARSER_CLASS_NAME, GEN_DIAGRAM__STRUCTURAL_FEATURES_PARSER_CLASS_NAME, GEN_DIAGRAM__SYNCHRONIZED, GEN_DIAGRAM__TEXT_NON_RESIZABLE_EDIT_POLICY_CLASS_NAME, GEN_DIAGRAM__TEXT_SELECTION_EDIT_POLICY_CLASS_NAME, GEN_DIAGRAM__TOP_LEVEL_NODES, GEN_DIAGRAM__UNITS, GEN_DIAGRAM__VALIDATION_DECORATOR_PROVIDER_CLASS_NAME, GEN_DIAGRAM__VALIDATION_DECORATOR_PROVIDER_PRIORITY, GEN_DIAGRAM__VALIDATION_DECORATORS, GEN_DIAGRAM__VALIDATION_ENABLED, GEN_DIAGRAM__VALIDATION_PROVIDER_CLASS_NAME, GEN_DIAGRAM__VALIDATION_PROVIDER_PRIORITY, GEN_DIAGRAM__VIEWMAP, GEN_DIAGRAM__VISUAL_ID, GEN_DIAGRAM__VISUAL_ID_REGISTRY_CLASS_NAME, GEN_DIAGRAM_ELEMENT_TARGET, GEN_DIAGRAM_ELEMENT_TARGET__ELEMENT, GEN_DIAGRAM_ELEMENT_TARGET_FEATURE_COUNT, GEN_DIAGRAM_FEATURE_COUNT, GEN_DOMAIN_ATTRIBUTE_TARGET, GEN_DOMAIN_ATTRIBUTE_TARGET__ATTRIBUTE, GEN_DOMAIN_ATTRIBUTE_TARGET__NULL_AS_ERROR, GEN_DOMAIN_ATTRIBUTE_TARGET_FEATURE_COUNT, GEN_DOMAIN_ELEMENT_TARGET, GEN_DOMAIN_ELEMENT_TARGET__ELEMENT, GEN_DOMAIN_ELEMENT_TARGET_FEATURE_COUNT, GEN_EDITOR_GENERATOR, GEN_EDITOR_GENERATOR__AUDITS, GEN_EDITOR_GENERATOR__COPYRIGHT_TEXT, GEN_EDITOR_GENERATOR__DIAGRAM, GEN_EDITOR_GENERATOR__DIAGRAM_FILE_EXTENSION, GEN_EDITOR_GENERATOR__DOMAIN_FILE_EXTENSION, GEN_EDITOR_GENERATOR__DOMAIN_GEN_MODEL, GEN_EDITOR_GENERATOR__DYNAMIC_TEMPLATES, GEN_EDITOR_GENERATOR__EDITOR, GEN_EDITOR_GENERATOR__EXPRESSION_PROVIDERS, GEN_EDITOR_GENERATOR__METRICS, GEN_EDITOR_GENERATOR__MODEL_ID, GEN_EDITOR_GENERATOR__PACKAGE_NAME_PREFIX, GEN_EDITOR_GENERATOR__PLUGIN, GEN_EDITOR_GENERATOR__SAME_FILE_FOR_DIAGRAM_AND_MODEL, GEN_EDITOR_GENERATOR__TEMPLATE_DIRECTORY, GEN_EDITOR_GENERATOR_FEATURE_COUNT, GEN_EDITOR_VIEW, GEN_EDITOR_VIEW__ACTION_BAR_CONTRIBUTOR_CLASS_NAME, GEN_EDITOR_VIEW__CLASS_NAME, GEN_EDITOR_VIEW__EDITOR_GEN, GEN_EDITOR_VIEW__ICON_PATH, GEN_EDITOR_VIEW__ID, GEN_EDITOR_VIEW__PACKAGE_NAME, GEN_EDITOR_VIEW_FEATURE_COUNT, GEN_ELEMENT_INITIALIZER, GEN_ELEMENT_INITIALIZER__TYPE_MODEL_FACET, GEN_ELEMENT_INITIALIZER_FEATURE_COUNT, GEN_EXPRESSION_INTERPRETER, GEN_EXPRESSION_INTERPRETER__CLASS_NAME, GEN_EXPRESSION_INTERPRETER__CONTAINER, GEN_EXPRESSION_INTERPRETER__EXPRESSIONS, GEN_EXPRESSION_INTERPRETER__LANGUAGE, GEN_EXPRESSION_INTERPRETER__REQUIRED_PLUGIN_IDS, GEN_EXPRESSION_INTERPRETER_FEATURE_COUNT, GEN_EXPRESSION_PROVIDER_BASE, GEN_EXPRESSION_PROVIDER_BASE__CONTAINER, GEN_EXPRESSION_PROVIDER_BASE__EXPRESSIONS, GEN_EXPRESSION_PROVIDER_BASE_FEATURE_COUNT, GEN_EXPRESSION_PROVIDER_CONTAINER, GEN_EXPRESSION_PROVIDER_CONTAINER__ABSTRACT_EXPRESSION_CLASS_NAME, GEN_EXPRESSION_PROVIDER_CONTAINER__EDITOR_GEN, GEN_EXPRESSION_PROVIDER_CONTAINER__EXPRESSIONS_PACKAGE_NAME, GEN_EXPRESSION_PROVIDER_CONTAINER__PROVIDERS, GEN_EXPRESSION_PROVIDER_CONTAINER_FEATURE_COUNT, GEN_EXTERNAL_NODE_LABEL, GEN_EXTERNAL_NODE_LABEL__DIAGRAM_RUN_TIME_CLASS, GEN_EXTERNAL_NODE_LABEL__EDIT_PART_CLASS_NAME, GEN_EXTERNAL_NODE_LABEL__ELEMENT_ICON, GEN_EXTERNAL_NODE_LABEL__ELEMENT_TYPE, GEN_EXTERNAL_NODE_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_EXTERNAL_NODE_LABEL__MODEL_FACET, GEN_EXTERNAL_NODE_LABEL__NODE, GEN_EXTERNAL_NODE_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_EXTERNAL_NODE_LABEL__READ_ONLY, GEN_EXTERNAL_NODE_LABEL__VIEWMAP, GEN_EXTERNAL_NODE_LABEL__VISUAL_ID, GEN_EXTERNAL_NODE_LABEL_FEATURE_COUNT, GEN_FEATURE_SEQ_INITIALIZER, GEN_FEATURE_SEQ_INITIALIZER__INITIALIZERS, GEN_FEATURE_SEQ_INITIALIZER__TYPE_MODEL_FACET, GEN_FEATURE_SEQ_INITIALIZER_FEATURE_COUNT, GEN_FEATURE_VALUE_SPEC, GEN_FEATURE_VALUE_SPEC__BODY, GEN_FEATURE_VALUE_SPEC__FEATURE, GEN_FEATURE_VALUE_SPEC__FEATURE_SEQ_INITIALIZER, GEN_FEATURE_VALUE_SPEC__LANG_NAME, GEN_FEATURE_VALUE_SPEC__LANGUAGE, GEN_FEATURE_VALUE_SPEC_FEATURE_COUNT, GEN_JAVA_EXPRESSION_PROVIDER, GEN_JAVA_EXPRESSION_PROVIDER__CONTAINER, GEN_JAVA_EXPRESSION_PROVIDER__EXPRESSIONS, GEN_JAVA_EXPRESSION_PROVIDER_FEATURE_COUNT, GEN_LABEL, GEN_LABEL__DIAGRAM_RUN_TIME_CLASS, GEN_LABEL__EDIT_PART_CLASS_NAME, GEN_LABEL__ELEMENT_ICON, GEN_LABEL__ELEMENT_TYPE, GEN_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_LABEL__MODEL_FACET, GEN_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_LABEL__READ_ONLY, GEN_LABEL__VIEWMAP, GEN_LABEL__VISUAL_ID, GEN_LABEL_FEATURE_COUNT, GEN_LANGUAGE, GEN_LINK, GEN_LINK__CREATION_CONSTRAINTS, GEN_LINK__DIAGRAM, GEN_LINK__DIAGRAM_RUN_TIME_CLASS, GEN_LINK__EDIT_PART_CLASS_NAME, GEN_LINK__ELEMENT_TYPE, GEN_LINK__INCOMING_CREATION_ALLOWED, GEN_LINK__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_LINK__LABELS, GEN_LINK__MODEL_FACET, GEN_LINK__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_LINK__OUTGOING_CREATION_ALLOWED, GEN_LINK__VIEW_DIRECTION_ALIGNED_WITH_MODEL, GEN_LINK__VIEWMAP, GEN_LINK__VISUAL_ID, GEN_LINK_CONSTRAINTS, GEN_LINK_CONSTRAINTS__LINK, GEN_LINK_CONSTRAINTS__SOURCE_END, GEN_LINK_CONSTRAINTS__TARGET_END, GEN_LINK_CONSTRAINTS_FEATURE_COUNT, GEN_LINK_FEATURE_COUNT, GEN_LINK_LABEL, GEN_LINK_LABEL__ALIGNMENT, GEN_LINK_LABEL__DIAGRAM_RUN_TIME_CLASS, GEN_LINK_LABEL__EDIT_PART_CLASS_NAME, GEN_LINK_LABEL__ELEMENT_ICON, GEN_LINK_LABEL__ELEMENT_TYPE, GEN_LINK_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_LINK_LABEL__LINK, GEN_LINK_LABEL__MODEL_FACET, GEN_LINK_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_LINK_LABEL__READ_ONLY, GEN_LINK_LABEL__VIEWMAP, GEN_LINK_LABEL__VISUAL_ID, GEN_LINK_LABEL_FEATURE_COUNT, GEN_MEASURABLE, GEN_MEASURABLE_FEATURE_COUNT, GEN_METRIC_CONTAINER, GEN_METRIC_CONTAINER__EDITOR, GEN_METRIC_CONTAINER__METRICS, GEN_METRIC_CONTAINER_FEATURE_COUNT, GEN_METRIC_RULE, GEN_METRIC_RULE__CONTAINER, GEN_METRIC_RULE__DESCRIPTION, GEN_METRIC_RULE__HIGH_LIMIT, GEN_METRIC_RULE__KEY, GEN_METRIC_RULE__LOW_LIMIT, GEN_METRIC_RULE__NAME, GEN_METRIC_RULE__RULE, GEN_METRIC_RULE__TARGET, GEN_METRIC_RULE_FEATURE_COUNT, GEN_NODE, GEN_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_NODE__CHILD_NODES, GEN_NODE__COMPARTMENTS, GEN_NODE__CONTAINED_NODES, GEN_NODE__DIAGRAM_RUN_TIME_CLASS, GEN_NODE__EDIT_PART_CLASS_NAME, GEN_NODE__ELEMENT_TYPE, GEN_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME, GEN_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_NODE__LABELS, GEN_NODE__MODEL_FACET, GEN_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_NODE__VIEWMAP, GEN_NODE__VISUAL_ID, GEN_NODE_FEATURE_COUNT, GEN_NODE_LABEL, GEN_NODE_LABEL__DIAGRAM_RUN_TIME_CLASS, GEN_NODE_LABEL__EDIT_PART_CLASS_NAME, GEN_NODE_LABEL__ELEMENT_ICON, GEN_NODE_LABEL__ELEMENT_TYPE, GEN_NODE_LABEL__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_NODE_LABEL__MODEL_FACET, GEN_NODE_LABEL__NODE, GEN_NODE_LABEL__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_NODE_LABEL__READ_ONLY, GEN_NODE_LABEL__VIEWMAP, GEN_NODE_LABEL__VISUAL_ID, GEN_NODE_LABEL_FEATURE_COUNT, GEN_NOTATION_ELEMENT_TARGET, GEN_NOTATION_ELEMENT_TARGET__ELEMENT, GEN_NOTATION_ELEMENT_TARGET_FEATURE_COUNT, GEN_PLUGIN, GEN_PLUGIN__ACTIVATOR_CLASS_NAME, GEN_PLUGIN__EDITOR_GEN, GEN_PLUGIN__ID, GEN_PLUGIN__NAME, GEN_PLUGIN__PRINTING_ENABLED, GEN_PLUGIN__PROVIDER, GEN_PLUGIN__VERSION, GEN_PLUGIN_FEATURE_COUNT, GEN_RULE_BASE, GEN_RULE_BASE__DESCRIPTION, GEN_RULE_BASE__NAME, GEN_RULE_BASE_FEATURE_COUNT, GEN_RULE_CONTAINER_BASE, GEN_RULE_CONTAINER_BASE__EDITOR, GEN_RULE_CONTAINER_BASE_FEATURE_COUNT, GEN_RULE_TARGET, GEN_RULE_TARGET_FEATURE_COUNT, GEN_SEVERITY, GEN_TOP_LEVEL_NODE, GEN_TOP_LEVEL_NODE__CANONICAL_EDIT_POLICY_CLASS_NAME, GEN_TOP_LEVEL_NODE__CHILD_NODES, GEN_TOP_LEVEL_NODE__COMPARTMENTS, GEN_TOP_LEVEL_NODE__CONTAINED_NODES, GEN_TOP_LEVEL_NODE__DIAGRAM, GEN_TOP_LEVEL_NODE__DIAGRAM_RUN_TIME_CLASS, GEN_TOP_LEVEL_NODE__EDIT_PART_CLASS_NAME, GEN_TOP_LEVEL_NODE__ELEMENT_TYPE, GEN_TOP_LEVEL_NODE__GRAPHICAL_NODE_EDIT_POLICY_CLASS_NAME, GEN_TOP_LEVEL_NODE__ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME, GEN_TOP_LEVEL_NODE__LABELS, GEN_TOP_LEVEL_NODE__MODEL_FACET, GEN_TOP_LEVEL_NODE__NOTATION_VIEW_FACTORY_CLASS_NAME, GEN_TOP_LEVEL_NODE__VIEWMAP, GEN_TOP_LEVEL_NODE__VISUAL_ID, GEN_TOP_LEVEL_NODE_FEATURE_COUNT, INNER_CLASS_VIEWMAP, INNER_CLASS_VIEWMAP__ATTRIBUTES, INNER_CLASS_VIEWMAP__CLASS_BODY, INNER_CLASS_VIEWMAP__CLASS_NAME, INNER_CLASS_VIEWMAP__LAYOUT_TYPE, INNER_CLASS_VIEWMAP__REQUIRED_PLUGIN_IDS, INNER_CLASS_VIEWMAP_FEATURE_COUNT, LABEL_MODEL_FACET, LABEL_MODEL_FACET_FEATURE_COUNT, LABEL_OFFSET_ATTRIBUTES, LABEL_OFFSET_ATTRIBUTES__X, LABEL_OFFSET_ATTRIBUTES__Y, LABEL_OFFSET_ATTRIBUTES_FEATURE_COUNT, LINK_CONSTRAINTS, LINK_CONSTRAINTS_FEATURE_COUNT, LINK_LABEL_ALIGNMENT, LINK_MODEL_FACET, LINK_MODEL_FACET_FEATURE_COUNT, MEASUREMENT_UNIT, MEASUREMENT_UNIT__UNITS, MEASUREMENT_UNIT_FEATURE_COUNT, METAMODEL_TYPE, METAMODEL_TYPE__DEFINED_EXTERNALLY, METAMODEL_TYPE__DIAGRAM_ELEMENT, METAMODEL_TYPE__DISPLAY_NAME, METAMODEL_TYPE__EDIT_HELPER_CLASS_NAME, METAMODEL_TYPE__UNIQUE_IDENTIFIER, METAMODEL_TYPE_FEATURE_COUNT, MODEL_FACET, MODEL_FACET_FEATURE_COUNT, NOTATION_TYPE, NOTATION_TYPE__DEFINED_EXTERNALLY, NOTATION_TYPE__DIAGRAM_ELEMENT, NOTATION_TYPE__DISPLAY_NAME, NOTATION_TYPE__UNIQUE_IDENTIFIER, NOTATION_TYPE_FEATURE_COUNT, PACKAGE_NAMES, PACKAGE_NAMES__EDIT_COMMANDS_PACKAGE_NAME, PACKAGE_NAMES__EDIT_HELPERS_PACKAGE_NAME, PACKAGE_NAMES__EDIT_PARTS_PACKAGE_NAME, PACKAGE_NAMES__EDIT_POLICIES_PACKAGE_NAME, PACKAGE_NAMES__NOTATION_VIEW_FACTORIES_PACKAGE_NAME, PACKAGE_NAMES__PROVIDERS_PACKAGE_NAME, PACKAGE_NAMES_FEATURE_COUNT, PALETTE, PALETTE__DIAGRAM, PALETTE__FACTORY_CLASS_NAME, PALETTE__FLYOUT, PALETTE__GROUPS, PALETTE__PACKAGE_NAME, PALETTE_FEATURE_COUNT, PARENT_ASSIGNED_VIEWMAP, PARENT_ASSIGNED_VIEWMAP__ATTRIBUTES, PARENT_ASSIGNED_VIEWMAP__FIGURE_QUALIFIED_CLASS_NAME, PARENT_ASSIGNED_VIEWMAP__GETTER_NAME, PARENT_ASSIGNED_VIEWMAP__LAYOUT_TYPE, PARENT_ASSIGNED_VIEWMAP__REQUIRED_PLUGIN_IDS, PARENT_ASSIGNED_VIEWMAP__SETTER_NAME, PARENT_ASSIGNED_VIEWMAP_FEATURE_COUNT, PROVIDER_CLASS_NAMES, PROVIDER_CLASS_NAMES__ABSTRACT_PARSER_CLASS_NAME, PROVIDER_CLASS_NAMES__CONTRIBUTION_ITEM_PROVIDER_CLASS_NAME, PROVIDER_CLASS_NAMES__EDIT_PART_PROVIDER_CLASS_NAME, PROVIDER_CLASS_NAMES__EDIT_PART_PROVIDER_PRIORITY, PROVIDER_CLASS_NAMES__ELEMENT_TYPES_CLASS_NAME, PROVIDER_CLASS_NAMES__ICON_PROVIDER_CLASS_NAME, PROVIDER_CLASS_NAMES__ICON_PROVIDER_PRIORITY, PROVIDER_CLASS_NAMES__MODELING_ASSISTANT_PROVIDER_CLASS_NAME, PROVIDER_CLASS_NAMES__MODELING_ASSISTANT_PROVIDER_PRIORITY, PROVIDER_CLASS_NAMES__NOTATION_VIEW_PROVIDER_CLASS_NAME, PROVIDER_CLASS_NAMES__NOTATION_VIEW_PROVIDER_PRIORITY, PROVIDER_CLASS_NAMES__PALETTE_PROVIDER_CLASS_NAME, PROVIDER_CLASS_NAMES__PALETTE_PROVIDER_PRIORITY, PROVIDER_CLASS_NAMES__PARSER_PROVIDER_CLASS_NAME, PROVIDER_CLASS_NAMES__PARSER_PROVIDER_PRIORITY, PROVIDER_CLASS_NAMES__PROPERTY_PROVIDER_CLASS_NAME, PROVIDER_CLASS_NAMES__PROPERTY_PROVIDER_PRIORITY, PROVIDER_CLASS_NAMES__STRUCTURAL_FEATURE_PARSER_CLASS_NAME, PROVIDER_CLASS_NAMES__STRUCTURAL_FEATURES_PARSER_CLASS_NAME, PROVIDER_CLASS_NAMES_FEATURE_COUNT, PROVIDER_PRIORITY, RESIZE_CONSTRAINTS, RESIZE_CONSTRAINTS__NON_RESIZE_HANDLES, RESIZE_CONSTRAINTS__RESIZE_HANDLES, RESIZE_CONSTRAINTS_FEATURE_COUNT, SEPARATOR, SEPARATOR_FEATURE_COUNT, SHORTCUTS, SHORTCUTS__CONTAINS_SHORTCUTS_TO, SHORTCUTS__CREATE_SHORTCUT_ACTION_CLASS_NAME, SHORTCUTS__SHORTCUTS_DECORATOR_PROVIDER_CLASS_NAME, SHORTCUTS__SHORTCUTS_DECORATOR_PROVIDER_PRIORITY, SHORTCUTS__SHORTCUTS_PROVIDED_FOR, SHORTCUTS_FEATURE_COUNT, SNIPPET_VIEWMAP, SNIPPET_VIEWMAP__ATTRIBUTES, SNIPPET_VIEWMAP__BODY, SNIPPET_VIEWMAP__LAYOUT_TYPE, SNIPPET_VIEWMAP__REQUIRED_PLUGIN_IDS, SNIPPET_VIEWMAP_FEATURE_COUNT, SPECIALIZATION_TYPE, SPECIALIZATION_TYPE__DEFINED_EXTERNALLY, SPECIALIZATION_TYPE__DIAGRAM_ELEMENT, SPECIALIZATION_TYPE__DISPLAY_NAME, SPECIALIZATION_TYPE__EDIT_HELPER_ADVICE_CLASS_NAME, SPECIALIZATION_TYPE__METAMODEL_TYPE, SPECIALIZATION_TYPE__UNIQUE_IDENTIFIER, SPECIALIZATION_TYPE_FEATURE_COUNT, STYLE_ATTRIBUTES, STYLE_ATTRIBUTES__FIXED_BACKGROUND, STYLE_ATTRIBUTES__FIXED_FONT, STYLE_ATTRIBUTES__FIXED_FOREGROUND, STYLE_ATTRIBUTES_FEATURE_COUNT, TOOL_ENTRY, TOOL_ENTRY__CREATE_METHOD_NAME, TOOL_ENTRY__DEFAULT, TOOL_ENTRY__DESCRIPTION, TOOL_ENTRY__ELEMENTS, TOOL_ENTRY__GEN_LINKS, TOOL_ENTRY__GEN_NODES, TOOL_ENTRY__LARGE_ICON_PATH, TOOL_ENTRY__PROPERTIES, TOOL_ENTRY__QUALIFIED_TOOL_NAME, TOOL_ENTRY__SMALL_ICON_PATH, TOOL_ENTRY__TITLE, TOOL_ENTRY_FEATURE_COUNT, TOOL_GROUP, TOOL_GROUP__COLLAPSE, TOOL_GROUP__CREATE_METHOD_NAME, TOOL_GROUP__DESCRIPTION, TOOL_GROUP__ENTRIES, TOOL_GROUP__LARGE_ICON_PATH, TOOL_GROUP__SMALL_ICON_PATH, TOOL_GROUP__STACK, TOOL_GROUP__TITLE, TOOL_GROUP__TOOLS_ONLY, TOOL_GROUP_FEATURE_COUNT, TOOL_GROUP_ITEM, TOOL_GROUP_ITEM_FEATURE_COUNT, TYPE_LINK_MODEL_FACET, TYPE_LINK_MODEL_FACET__CHILD_META_FEATURE, TYPE_LINK_MODEL_FACET__CONTAINMENT_META_FEATURE, TYPE_LINK_MODEL_FACET__META_CLASS, TYPE_LINK_MODEL_FACET__MODEL_ELEMENT_INITIALIZER, TYPE_LINK_MODEL_FACET__MODEL_ELEMENT_SELECTOR, TYPE_LINK_MODEL_FACET__SOURCE_META_FEATURE, TYPE_LINK_MODEL_FACET__TARGET_META_FEATURE, TYPE_LINK_MODEL_FACET_FEATURE_COUNT, TYPE_MODEL_FACET, TYPE_MODEL_FACET__CHILD_META_FEATURE, TYPE_MODEL_FACET__CONTAINMENT_META_FEATURE, TYPE_MODEL_FACET__META_CLASS, TYPE_MODEL_FACET__MODEL_ELEMENT_INITIALIZER, TYPE_MODEL_FACET__MODEL_ELEMENT_SELECTOR, TYPE_MODEL_FACET_FEATURE_COUNT, VALUE_EXPRESSION, VALUE_EXPRESSION__BODY, VALUE_EXPRESSION__LANG_NAME, VALUE_EXPRESSION__LANGUAGE, VALUE_EXPRESSION_FEATURE_COUNT, VIEWMAP, VIEWMAP__ATTRIBUTES, VIEWMAP__LAYOUT_TYPE, VIEWMAP__REQUIRED_PLUGIN_IDS, VIEWMAP_FEATURE_COUNT, VIEWMAP_LAYOUT_TYPE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` `createConstraintsAnnotations()` Initializes the annotations for http://www.eclipse.org/gmf/2005/constraints
`protected void` `createEmfaticAnnotationMapAnnotations()` Initializes the annotations for http://www.eclipse.org/emf/2004/EmfaticAnnotationMap
`protected void` `createMetaAnnotations()` Initializes the annotations for http://www.eclipse.org/gmf/2005/constraints/meta
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EClass` `getAttributes()`
`EAttribute` `getBatchValidation_MarkerNavigationProviderClassName()`
`EAttribute` `getBatchValidation_MarkerNavigationProviderPriority()`
`EAttribute` `getBatchValidation_MetricProviderClassName()`
`EAttribute` `getBatchValidation_MetricProviderPriority()`
`EAttribute` `getBatchValidation_ValidationDecoratorProviderClassName()`
`EAttribute` `getBatchValidation_ValidationDecoratorProviderPriority()`
`EAttribute` `getBatchValidation_ValidationDecorators()`
`EAttribute` `getBatchValidation_ValidationEnabled()`
`EAttribute` `getBatchValidation_ValidationProviderClassName()`
`EAttribute` `getBatchValidation_ValidationProviderPriority()`
`EClass` `getBatchValidation()`
`EAttribute` `getColorAttributes_BackgroundColor()`
`EAttribute` `getColorAttributes_ForegroundColor()`
`EClass` `getColorAttributes()`
`EAttribute` `getCompositeFeatureLabelModelFacet_EditPattern()`
`EAttribute` `getCompositeFeatureLabelModelFacet_ViewPattern()`
`EClass` `getCompositeFeatureLabelModelFacet()`
`EReference` `getCompositeFeatureModelFacet_MetaFeatures()`
`EClass` `getCompositeFeatureModelFacet()`
`EAttribute` `getDefaultSizeAttributes_Height()`
`EAttribute` `getDefaultSizeAttributes_Width()`
`EClass` `getDefaultSizeAttributes()`
`EClass` `getDesignLabelModelFacet()`
`EAttribute` `getEditorCandies_CreationWizardCategoryID()`
`EAttribute` `getEditorCandies_CreationWizardClassName()`
`EAttribute` `getEditorCandies_CreationWizardIconPath()`
`EAttribute` `getEditorCandies_CreationWizardPageClassName()`
`EAttribute` `getEditorCandies_DiagramEditorUtilClassName()`
`EAttribute` `getEditorCandies_DiagramFileCreatorClassName()`
`EAttribute` `getEditorCandies_DocumentProviderClassName()`
`EAttribute` `getEditorCandies_EditingDomainID()`
`EAttribute` `getEditorCandies_ElementChooserClassName()`
`EAttribute` `getEditorCandies_InitDiagramFileActionClassName()`
`EAttribute` `getEditorCandies_LoadResourceActionClassName()`
`EAttribute` `getEditorCandies_MatchingStrategyClassName()`
`EAttribute` `getEditorCandies_NewDiagramFileWizardClassName()`
`EAttribute` `getEditorCandies_PreferenceInitializerClassName()`
`EAttribute` `getEditorCandies_VisualIDRegistryClassName()`
`EClass` `getEditorCandies()`
`EAttribute` `getEditPartCandies_BaseEditHelperClassName()`
`EAttribute` `getEditPartCandies_BaseExternalNodeLabelEditPartClassName()`
`EAttribute` `getEditPartCandies_BaseGraphicalNodeEditPolicyClassName()`
`EAttribute` `getEditPartCandies_BaseItemSemanticEditPolicyClassName()`
`EAttribute` `getEditPartCandies_CanonicalEditPolicyClassName()`
`EAttribute` `getEditPartCandies_EditPartFactoryClassName()`
`EAttribute` `getEditPartCandies_ExternalNodeLabelHostLayoutEditPolicyClassName()`
`EAttribute` `getEditPartCandies_ReferenceConnectionEditPolicyClassName()`
`EAttribute` `getEditPartCandies_ReorientConnectionViewCommandClassName()`
`EAttribute` `getEditPartCandies_TextNonResizableEditPolicyClassName()`
`EAttribute` `getEditPartCandies_TextSelectionEditPolicyClassName()`
`EClass` `getEditPartCandies()`
`EAttribute` `getElementType_DefinedExternally()`
`EReference` `getElementType_DiagramElement()`
`EAttribute` `getElementType_DisplayName()`
`EAttribute` `getElementType_UniqueIdentifier()`
`EClass` `getElementType()`
`EAttribute` `getEntryBase_CreateMethodName()`
`EAttribute` `getEntryBase_Description()`
`EAttribute` `getEntryBase_LargeIconPath()`
`EAttribute` `getEntryBase_SmallIconPath()`
`EAttribute` `getEntryBase_Title()`
`EClass` `getEntryBase()`
`EAttribute` `getFeatureLabelModelFacet_EditPattern()`
`EAttribute` `getFeatureLabelModelFacet_ViewPattern()`
`EClass` `getFeatureLabelModelFacet()`
`EClass` `getFeatureLinkModelFacet()`
`EReference` `getFeatureModelFacet_MetaFeature()`
`EClass` `getFeatureModelFacet()`
`EAttribute` `getFigureViewmap_FigureQualifiedClassName()`
`EClass` `getFigureViewmap()`
`EClass` `getGenAuditable()`
`EReference` `getGenAuditContainer_Audits()`
`EReference` `getGenAuditContainer_ChildContainers()`
`EAttribute` `getGenAuditContainer_Description()`
`EAttribute` `getGenAuditContainer_Id()`
`EAttribute` `getGenAuditContainer_Name()`
`EReference` `getGenAuditContainer_ParentContainer()`
`EClass` `getGenAuditContainer()`
`EReference` `getGenAuditedMetricTarget_Metric()`
`EReference` `getGenAuditedMetricTarget_MetricValueContext()`
`EClass` `getGenAuditedMetricTarget()`
`EReference` `getGenAuditRule_Container()`
`EAttribute` `getGenAuditRule_Id()`
`EAttribute` `getGenAuditRule_Message()`
`EReference` `getGenAuditRule_Rule()`
`EAttribute` `getGenAuditRule_Severity()`
`EReference` `getGenAuditRule_Target()`
`EAttribute` `getGenAuditRule_UseInLiveMode()`
`EClass` `getGenAuditRule()`
`EAttribute` `getGenChildContainer_CanonicalEditPolicyClassName()`
`EReference` `getGenChildContainer_ChildNodes()`
`EClass` `getGenChildContainer()`
`EAttribute` `getGenChildLabelNode_LabelElementIcon()`
`EReference` `getGenChildLabelNode_LabelModelFacet()`
`EAttribute` `getGenChildLabelNode_LabelReadOnly()`
`EClass` `getGenChildLabelNode()`
`EReference` `getGenChildNode_Containers()`
`EReference` `getGenChildNode_Diagram()`
`EClass` `getGenChildNode()`
`EReference` `getGenCommonBase_DiagramRunTimeClass()`
`EAttribute` `getGenCommonBase_EditPartClassName()`
`EReference` `getGenCommonBase_ElementType()`
`EAttribute` `getGenCommonBase_ItemSemanticEditPolicyClassName()`
`EAttribute` `getGenCommonBase_NotationViewFactoryClassName()`
`EReference` `getGenCommonBase_Viewmap()`
`EAttribute` `getGenCommonBase_VisualID()`
`EClass` `getGenCommonBase()`
`EAttribute` `getGenCompartment_CanCollapse()`
`EReference` `getGenCompartment_Diagram()`
`EAttribute` `getGenCompartment_HideIfEmpty()`
`EAttribute` `getGenCompartment_ListLayout()`
`EAttribute` `getGenCompartment_NeedsTitle()`
`EReference` `getGenCompartment_Node()`
`EAttribute` `getGenCompartment_Title()`
`EClass` `getGenCompartment()`
`EClass` `getGenConstraint()`
`EReference` `getGenContainerBase_ContainedNodes()`
`EClass` `getGenContainerBase()`
`EReference` `getGenDiagram_ChildNodes()`
`EReference` `getGenDiagram_Compartments()`
`EReference` `getGenDiagram_DomainDiagramElement()`
`EReference` `getGenDiagram_EditorGen()`
`EReference` `getGenDiagram_Links()`
`EReference` `getGenDiagram_Palette()`
`EAttribute` `getGenDiagram_Synchronized()`
`EReference` `getGenDiagram_TopLevelNodes()`
`EClass` `getGenDiagram()`
`EReference` `getGenDiagramElementTarget_Element()`
`EClass` `getGenDiagramElementTarget()`
`EReference` `getGenDomainAttributeTarget_Attribute()`
`EAttribute` `getGenDomainAttributeTarget_NullAsError()`
`EClass` `getGenDomainAttributeTarget()`
`EReference` `getGenDomainElementTarget_Element()`
`EClass` `getGenDomainElementTarget()`
`EReference` `getGenEditorGenerator_Audits()`
`EAttribute` `getGenEditorGenerator_CopyrightText()`
`EReference` `getGenEditorGenerator_Diagram()`
`EAttribute` `getGenEditorGenerator_DiagramFileExtension()`
`EAttribute` `getGenEditorGenerator_DomainFileExtension()`
`EReference` `getGenEditorGenerator_DomainGenModel()`
`EAttribute` `getGenEditorGenerator_DynamicTemplates()`
`EReference` `getGenEditorGenerator_Editor()`
`EReference` `getGenEditorGenerator_ExpressionProviders()`
`EReference` `getGenEditorGenerator_Metrics()`
`EAttribute` `getGenEditorGenerator_ModelID()`
`EAttribute` `getGenEditorGenerator_PackageNamePrefix()`
`EReference` `getGenEditorGenerator_Plugin()`
`EAttribute` `getGenEditorGenerator_SameFileForDiagramAndModel()`
`EAttribute` `getGenEditorGenerator_TemplateDirectory()`
`EClass` `getGenEditorGenerator()`
`EAttribute` `getGenEditorView_ActionBarContributorClassName()`
`EAttribute` `getGenEditorView_ClassName()`
`EReference` `getGenEditorView_EditorGen()`
`EAttribute` `getGenEditorView_IconPath()`
`EAttribute` `getGenEditorView_ID()`
`EAttribute` `getGenEditorView_PackageName()`
`EClass` `getGenEditorView()`
`EReference` `getGenElementInitializer_TypeModelFacet()`
`EClass` `getGenElementInitializer()`
`EAttribute` `getGenExpressionInterpreter_ClassName()`
`EAttribute` `getGenExpressionInterpreter_Language()`
`EAttribute` `getGenExpressionInterpreter_RequiredPluginIDs()`
`EClass` `getGenExpressionInterpreter()`
`EReference` `getGenExpressionProviderBase_Container()`
`EReference` `getGenExpressionProviderBase_Expressions()`
`EClass` `getGenExpressionProviderBase()`
`EAttribute` `getGenExpressionProviderContainer_AbstractExpressionClassName()`
`EReference` `getGenExpressionProviderContainer_EditorGen()`
`EAttribute` `getGenExpressionProviderContainer_ExpressionsPackageName()`
`EReference` `getGenExpressionProviderContainer_Providers()`
`EClass` `getGenExpressionProviderContainer()`
`EClass` `getGenExternalNodeLabel()`
`EReference` `getGenFeatureSeqInitializer_Initializers()`
`EClass` `getGenFeatureSeqInitializer()`
`EReference` `getGenFeatureValueSpec_Feature()`
`EReference` `getGenFeatureValueSpec_FeatureSeqInitializer()`
`EClass` `getGenFeatureValueSpec()`
`EClass` `getGenJavaExpressionProvider()`
`EAttribute` `getGenLabel_ElementIcon()`
`EReference` `getGenLabel_ModelFacet()`
`EAttribute` `getGenLabel_ReadOnly()`
`EClass` `getGenLabel()`
`EEnum` `getGenLanguage()`
`EReference` `getGenLink_CreationConstraints()`
`EReference` `getGenLink_Diagram()`
`EAttribute` `getGenLink_IncomingCreationAllowed()`
`EReference` `getGenLink_Labels()`
`EReference` `getGenLink_ModelFacet()`
`EAttribute` `getGenLink_OutgoingCreationAllowed()`
`EAttribute` `getGenLink_ViewDirectionAlignedWithModel()`
`EClass` `getGenLink()`
`EReference` `getGenLinkConstraints_Link()`
`EReference` `getGenLinkConstraints_SourceEnd()`
`EReference` `getGenLinkConstraints_TargetEnd()`
`EClass` `getGenLinkConstraints()`
`EAttribute` `getGenLinkLabel_Alignment()`
`EReference` `getGenLinkLabel_Link()`
`EClass` `getGenLinkLabel()`
`EClass` `getGenMeasurable()`
`EReference` `getGenMetricContainer_Metrics()`
`EClass` `getGenMetricContainer()`
`EReference` `getGenMetricRule_Container()`
`EAttribute` `getGenMetricRule_HighLimit()`
`EAttribute` `getGenMetricRule_Key()`
`EAttribute` `getGenMetricRule_LowLimit()`
`EReference` `getGenMetricRule_Rule()`
`EReference` `getGenMetricRule_Target()`
`EClass` `getGenMetricRule()`
`EReference` `getGenNode_Compartments()`
`EAttribute` `getGenNode_GraphicalNodeEditPolicyClassName()`
`EReference` `getGenNode_Labels()`
`EReference` `getGenNode_ModelFacet()`
`EClass` `getGenNode()`
`EReference` `getGenNodeLabel_Node()`
`EClass` `getGenNodeLabel()`
`EReference` `getGenNotationElementTarget_Element()`
`EClass` `getGenNotationElementTarget()`
`EAttribute` `getGenPlugin_ActivatorClassName()`
`EReference` `getGenPlugin_EditorGen()`
`EAttribute` `getGenPlugin_ID()`
`EAttribute` `getGenPlugin_Name()`
`EAttribute` `getGenPlugin_PrintingEnabled()`
`EAttribute` `getGenPlugin_Provider()`
`EAttribute` `getGenPlugin_Version()`
`EClass` `getGenPlugin()`
`EAttribute` `getGenRuleBase_Description()`
`EAttribute` `getGenRuleBase_Name()`
`EClass` `getGenRuleBase()`
`EReference` `getGenRuleContainerBase_Editor()`
`EClass` `getGenRuleContainerBase()`
`EClass` `getGenRuleTarget()`
`EEnum` `getGenSeverity()`
`EReference` `getGenTopLevelNode_Diagram()`
`EClass` `getGenTopLevelNode()`
`GMFGenFactory` `getGMFGenFactory()`
`EAttribute` `getInnerClassViewmap_ClassBody()`
`EAttribute` `getInnerClassViewmap_ClassName()`
`EClass` `getInnerClassViewmap()`
`EClass` `getLabelModelFacet()`
`EAttribute` `getLabelOffsetAttributes_X()`
`EAttribute` `getLabelOffsetAttributes_Y()`
`EClass` `getLabelOffsetAttributes()`
`EClass` `getLinkConstraints()`
`EEnum` `getLinkLabelAlignment()`
`EClass` `getLinkModelFacet()`
`EAttribute` `getMeasurementUnit_Units()`
`EClass` `getMeasurementUnit()`
`EAttribute` `getMetamodelType_EditHelperClassName()`
`EClass` `getMetamodelType()`
`EClass` `getModelFacet()`
`EClass` `getNotationType()`
`EAttribute` `getPackageNames_EditCommandsPackageName()`
`EAttribute` `getPackageNames_EditHelpersPackageName()`
`EAttribute` `getPackageNames_EditPartsPackageName()`
`EAttribute` `getPackageNames_EditPoliciesPackageName()`
`EAttribute` `getPackageNames_NotationViewFactoriesPackageName()`
`EAttribute` `getPackageNames_ProvidersPackageName()`
`EClass` `getPackageNames()`
`EReference` `getPalette_Diagram()`
`EAttribute` `getPalette_FactoryClassName()`
`EAttribute` `getPalette_Flyout()`
`EReference` `getPalette_Groups()`
`EAttribute` `getPalette_PackageName()`
`EClass` `getPalette()`
`EAttribute` `getParentAssignedViewmap_FigureQualifiedClassName()`
`EAttribute` `getParentAssignedViewmap_GetterName()`
`EAttribute` `getParentAssignedViewmap_SetterName()`
`EClass` `getParentAssignedViewmap()`
`EAttribute` `getProviderClassNames_AbstractParserClassName()`
`EAttribute` `getProviderClassNames_ContributionItemProviderClassName()`
`EAttribute` `getProviderClassNames_EditPartProviderClassName()`
`EAttribute` `getProviderClassNames_EditPartProviderPriority()`
`EAttribute` `getProviderClassNames_ElementTypesClassName()`
`EAttribute` `getProviderClassNames_IconProviderClassName()`
`EAttribute` `getProviderClassNames_IconProviderPriority()`
`EAttribute` `getProviderClassNames_ModelingAssistantProviderClassName()`
`EAttribute` `getProviderClassNames_ModelingAssistantProviderPriority()`
`EAttribute` `getProviderClassNames_NotationViewProviderClassName()`
`EAttribute` `getProviderClassNames_NotationViewProviderPriority()`
`EAttribute` `getProviderClassNames_PaletteProviderClassName()`
`EAttribute` `getProviderClassNames_PaletteProviderPriority()`
`EAttribute` `getProviderClassNames_ParserProviderClassName()`
`EAttribute` `getProviderClassNames_ParserProviderPriority()`
`EAttribute` `getProviderClassNames_PropertyProviderClassName()`
`EAttribute` `getProviderClassNames_PropertyProviderPriority()`
`EAttribute` `getProviderClassNames_StructuralFeatureParserClassName()`
`EAttribute` `getProviderClassNames_StructuralFeaturesParserClassName()`
`EClass` `getProviderClassNames()`
`EEnum` `getProviderPriority()`
`EAttribute` `getResizeConstraints_NonResizeHandles()`
`EAttribute` `getResizeConstraints_ResizeHandles()`
`EClass` `getResizeConstraints()`
`EClass` `getSeparator()`
`EAttribute` `getShortcuts_ContainsShortcutsTo()`
`EAttribute` `getShortcuts_CreateShortcutActionClassName()`
`EAttribute` `getShortcuts_ShortcutsDecoratorProviderClassName()`
`EAttribute` `getShortcuts_ShortcutsDecoratorProviderPriority()`
`EAttribute` `getShortcuts_ShortcutsProvidedFor()`
`EClass` `getShortcuts()`
`EAttribute` `getSnippetViewmap_Body()`
`EClass` `getSnippetViewmap()`
`EAttribute` `getSpecializationType_EditHelperAdviceClassName()`
`EReference` `getSpecializationType_MetamodelType()`
`EClass` `getSpecializationType()`
`EAttribute` `getStyleAttributes_FixedBackground()`
`EAttribute` `getStyleAttributes_FixedFont()`
`EAttribute` `getStyleAttributes_FixedForeground()`
`EClass` `getStyleAttributes()`
`EAttribute` `getToolEntry_Default()`
`EReference` `getToolEntry_Elements()`
`EReference` `getToolEntry_GenLinks()`
`EReference` `getToolEntry_GenNodes()`
`EReference` `getToolEntry_Properties()`
`EAttribute` `getToolEntry_QualifiedToolName()`
`EClass` `getToolEntry()`
`EAttribute` `getToolGroup_Collapse()`
`EReference` `getToolGroup_Entries()`
`EAttribute` `getToolGroup_Stack()`
`EAttribute` `getToolGroup_ToolsOnly()`
`EClass` `getToolGroup()`
`EClass` `getToolGroupItem()`
`EReference` `getTypeLinkModelFacet_SourceMetaFeature()`
`EReference` `getTypeLinkModelFacet_TargetMetaFeature()`
`EClass` `getTypeLinkModelFacet()`
`EReference` `getTypeModelFacet_ChildMetaFeature()`
`EReference` `getTypeModelFacet_ContainmentMetaFeature()`
`EReference` `getTypeModelFacet_MetaClass()`
`EReference` `getTypeModelFacet_ModelElementInitializer()`
`EReference` `getTypeModelFacet_ModelElementSelector()`
`EClass` `getTypeModelFacet()`
`EAttribute` `getValueExpression_Body()`
`EAttribute` `getValueExpression_LangName()`
`EAttribute` `getValueExpression_Language()`
`EClass` `getValueExpression()`
`EReference` `getViewmap_Attributes()`
`EAttribute` `getViewmap_LayoutType()`
`EAttribute` `getViewmap_RequiredPluginIDs()`
`EClass` `getViewmap()`
`EEnum` `getViewmapLayoutType()`
`static GMFGenPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()`
`void` `initializePackageContentsGen()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEOperation, addEOperation, addEParameter, addEParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEDataType, initEDataType, initEEnum, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static GMFGenPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `GMFGenPackage.eNS_URI`, `GMFGenPackageImpl.createPackageContents()`, `GMFGenPackageImpl.initializePackageContents()`
  ** Generated **

### initializePackageContents

    public void initializePackageContents()

### getGenEditorGenerator

    public EClass getGenEditorGenerator()

  Specified by:
    `getGenEditorGenerator` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Editor Generator'.
  See Also:
    `GenEditorGenerator`
  ** Generated **

### getGenEditorGenerator_Audits

    public EReference getGenEditorGenerator_Audits()

  Specified by:
    `getGenEditorGenerator_Audits` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Audits'.
  See Also:
    `GenEditorGenerator.getAudits()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_Metrics

    public EReference getGenEditorGenerator_Metrics()

  Specified by:
    `getGenEditorGenerator_Metrics` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Metrics'.
  See Also:
    `GenEditorGenerator.getMetrics()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_Diagram

    public EReference getGenEditorGenerator_Diagram()

  Specified by:
    `getGenEditorGenerator_Diagram` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Diagram'.
  See Also:
    `GenEditorGenerator.getDiagram()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_Plugin

    public EReference getGenEditorGenerator_Plugin()

  Specified by:
    `getGenEditorGenerator_Plugin` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Plugin'.
  See Also:
    `GenEditorGenerator.getPlugin()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_Editor

    public EReference getGenEditorGenerator_Editor()

  Specified by:
    `getGenEditorGenerator_Editor` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Editor'.
  See Also:
    `GenEditorGenerator.getEditor()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_DomainGenModel

    public EReference getGenEditorGenerator_DomainGenModel()

  Specified by:
    `getGenEditorGenerator_DomainGenModel` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Domain Gen Model'.
  See Also:
    `GenEditorGenerator.getDomainGenModel()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_PackageNamePrefix

    public EAttribute getGenEditorGenerator_PackageNamePrefix()

  Specified by:
    `getGenEditorGenerator_PackageNamePrefix` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Package Name Prefix'.
  See Also:
    `GenEditorGenerator.getPackageNamePrefix()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_ModelID

    public EAttribute getGenEditorGenerator_ModelID()

  Specified by:
    `getGenEditorGenerator_ModelID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Model ID'.
  See Also:
    `GenEditorGenerator.getModelID()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_SameFileForDiagramAndModel

    public EAttribute getGenEditorGenerator_SameFileForDiagramAndModel()

  Specified by:
    `getGenEditorGenerator_SameFileForDiagramAndModel` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Same File For Diagram And Model'.
  See Also:
    `GenEditorGenerator.isSameFileForDiagramAndModel()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_DiagramFileExtension

    public EAttribute getGenEditorGenerator_DiagramFileExtension()

  Specified by:
    `getGenEditorGenerator_DiagramFileExtension` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Diagram File Extension'.
  See Also:
    `GenEditorGenerator.getDiagramFileExtension()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_DomainFileExtension

    public EAttribute getGenEditorGenerator_DomainFileExtension()

  Specified by:
    `getGenEditorGenerator_DomainFileExtension` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Domain File Extension'.
  See Also:
    `GenEditorGenerator.getDomainFileExtension()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_DynamicTemplates

    public EAttribute getGenEditorGenerator_DynamicTemplates()

  Specified by:
    `getGenEditorGenerator_DynamicTemplates` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Dynamic Templates'.
  See Also:
    `GenEditorGenerator.isDynamicTemplates()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_TemplateDirectory

    public EAttribute getGenEditorGenerator_TemplateDirectory()

  Specified by:
    `getGenEditorGenerator_TemplateDirectory` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Template Directory'.
  See Also:
    `GenEditorGenerator.getTemplateDirectory()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_CopyrightText

    public EAttribute getGenEditorGenerator_CopyrightText()

  Specified by:
    `getGenEditorGenerator_CopyrightText` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Copyright Text'.
  See Also:
    `GenEditorGenerator.getCopyrightText()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenEditorGenerator_ExpressionProviders

    public EReference getGenEditorGenerator_ExpressionProviders()

  Specified by:
    `getGenEditorGenerator_ExpressionProviders` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Expression Providers'.
  See Also:
    `GenEditorGenerator.getExpressionProviders()`, `GMFGenPackage.getGenEditorGenerator()`
  ** Generated **

### getGenDiagram

    public EClass getGenDiagram()

  Specified by:
    `getGenDiagram` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Diagram'.
  See Also:
    `GenDiagram`
  ** Generated **

### getGenDiagram_EditorGen

    public EReference getGenDiagram_EditorGen()

  Specified by:
    `getGenDiagram_EditorGen` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenDiagram.getEditorGen()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_DomainDiagramElement

    public EReference getGenDiagram_DomainDiagramElement()

  Specified by:
    `getGenDiagram_DomainDiagramElement` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Domain Diagram Element'.
  See Also:
    `GenDiagram.getDomainDiagramElement()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_ChildNodes

    public EReference getGenDiagram_ChildNodes()

  Specified by:
    `getGenDiagram_ChildNodes` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Child Nodes'.
  See Also:
    `GenDiagram.getChildNodes()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_TopLevelNodes

    public EReference getGenDiagram_TopLevelNodes()

  Specified by:
    `getGenDiagram_TopLevelNodes` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Top Level Nodes'.
  See Also:
    `GenDiagram.getTopLevelNodes()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_Links

    public EReference getGenDiagram_Links()

  Specified by:
    `getGenDiagram_Links` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Links'.
  See Also:
    `GenDiagram.getLinks()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_Compartments

    public EReference getGenDiagram_Compartments()

  Specified by:
    `getGenDiagram_Compartments` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Compartments'.
  See Also:
    `GenDiagram.getCompartments()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_Palette

    public EReference getGenDiagram_Palette()

  Specified by:
    `getGenDiagram_Palette` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Palette'.
  See Also:
    `GenDiagram.getPalette()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenDiagram_Synchronized

    public EAttribute getGenDiagram_Synchronized()

  Specified by:
    `getGenDiagram_Synchronized` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Synchronized'.
  See Also:
    `GenDiagram.isSynchronized()`, `GMFGenPackage.getGenDiagram()`
  ** Generated **

### getGenEditorView

    public EClass getGenEditorView()

  Specified by:
    `getGenEditorView` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Editor View'.
  See Also:
    `GenEditorView`
  ** Generated **

### getGenEditorView_EditorGen

    public EReference getGenEditorView_EditorGen()

  Specified by:
    `getGenEditorView_EditorGen` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenEditorView.getEditorGen()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_PackageName

    public EAttribute getGenEditorView_PackageName()

  Specified by:
    `getGenEditorView_PackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Package Name'.
  See Also:
    `GenEditorView.getPackageName()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_ActionBarContributorClassName

    public EAttribute getGenEditorView_ActionBarContributorClassName()

  Specified by:
    `getGenEditorView_ActionBarContributorClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Action Bar Contributor Class Name'.
  See Also:
    `GenEditorView.getActionBarContributorClassName()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_ClassName

    public EAttribute getGenEditorView_ClassName()

  Specified by:
    `getGenEditorView_ClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `GenEditorView.getClassName()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_IconPath

    public EAttribute getGenEditorView_IconPath()

  Specified by:
    `getGenEditorView_IconPath` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Icon Path'.
  See Also:
    `GenEditorView.getIconPath()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getGenEditorView_ID

    public EAttribute getGenEditorView_ID()

  Specified by:
    `getGenEditorView_ID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `GenEditorView.getID()`, `GMFGenPackage.getGenEditorView()`
  ** Generated **

### getBatchValidation

    public EClass getBatchValidation()

  Specified by:
    `getBatchValidation` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Batch Validation'.
  See Also:
    `BatchValidation`
  ** Generated **

### getBatchValidation_ValidationProviderClassName

    public EAttribute getBatchValidation_ValidationProviderClassName()

  Specified by:
    `getBatchValidation_ValidationProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Validation Provider Class Name'.
  See Also:
    `BatchValidation.getValidationProviderClassName()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_ValidationProviderPriority

    public EAttribute getBatchValidation_ValidationProviderPriority()

  Specified by:
    `getBatchValidation_ValidationProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Validation Provider Priority'.
  See Also:
    `BatchValidation.getValidationProviderPriority()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_MarkerNavigationProviderClassName

    public EAttribute getBatchValidation_MarkerNavigationProviderClassName()

  Specified by:
    `getBatchValidation_MarkerNavigationProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Marker Navigation Provider Class Name'.
  See Also:
    `BatchValidation.getMarkerNavigationProviderClassName()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_MarkerNavigationProviderPriority

    public EAttribute getBatchValidation_MarkerNavigationProviderPriority()

  Specified by:
    `getBatchValidation_MarkerNavigationProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Marker Navigation Provider Priority'.
  See Also:
    `BatchValidation.getMarkerNavigationProviderPriority()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_ValidationEnabled

    public EAttribute getBatchValidation_ValidationEnabled()

  Specified by:
    `getBatchValidation_ValidationEnabled` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Validation Enabled'.
  See Also:
    `BatchValidation.isValidationEnabled()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_MetricProviderClassName

    public EAttribute getBatchValidation_MetricProviderClassName()

  Specified by:
    `getBatchValidation_MetricProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Metric Provider Class Name'.
  See Also:
    `BatchValidation.getMetricProviderClassName()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_MetricProviderPriority

    public EAttribute getBatchValidation_MetricProviderPriority()

  Specified by:
    `getBatchValidation_MetricProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Metric Provider Priority'.
  See Also:
    `BatchValidation.getMetricProviderPriority()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_ValidationDecoratorProviderClassName

    public EAttribute getBatchValidation_ValidationDecoratorProviderClassName()

  Specified by:
    `getBatchValidation_ValidationDecoratorProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Validation Decorator Provider Class Name'.
  See Also:
    `BatchValidation.getValidationDecoratorProviderClassName()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_ValidationDecorators

    public EAttribute getBatchValidation_ValidationDecorators()

  Specified by:
    `getBatchValidation_ValidationDecorators` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Validation Decorators'.
  See Also:
    `BatchValidation.isValidationDecorators()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getBatchValidation_ValidationDecoratorProviderPriority

    public EAttribute getBatchValidation_ValidationDecoratorProviderPriority()

  Specified by:
    `getBatchValidation_ValidationDecoratorProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Validation Decorator Provider Priority'.
  See Also:
    `BatchValidation.getValidationDecoratorProviderPriority()`, `GMFGenPackage.getBatchValidation()`
  ** Generated **

### getProviderClassNames

    public EClass getProviderClassNames()

  Specified by:
    `getProviderClassNames` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Provider Class Names'.
  See Also:
    `ProviderClassNames`
  ** Generated **

### getProviderClassNames_ElementTypesClassName

    public EAttribute getProviderClassNames_ElementTypesClassName()

  Specified by:
    `getProviderClassNames_ElementTypesClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Element Types Class Name'.
  See Also:
    `ProviderClassNames.getElementTypesClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_NotationViewProviderClassName

    public EAttribute getProviderClassNames_NotationViewProviderClassName()

  Specified by:
    `getProviderClassNames_NotationViewProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Notation View Provider Class Name'.
  See Also:
    `ProviderClassNames.getNotationViewProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_NotationViewProviderPriority

    public EAttribute getProviderClassNames_NotationViewProviderPriority()

  Specified by:
    `getProviderClassNames_NotationViewProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Notation View Provider Priority'.
  See Also:
    `ProviderClassNames.getNotationViewProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_EditPartProviderClassName

    public EAttribute getProviderClassNames_EditPartProviderClassName()

  Specified by:
    `getProviderClassNames_EditPartProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Part Provider Class Name'.
  See Also:
    `ProviderClassNames.getEditPartProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_EditPartProviderPriority

    public EAttribute getProviderClassNames_EditPartProviderPriority()

  Specified by:
    `getProviderClassNames_EditPartProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Part Provider Priority'.
  See Also:
    `ProviderClassNames.getEditPartProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_PaletteProviderClassName

    public EAttribute getProviderClassNames_PaletteProviderClassName()

  Specified by:
    `getProviderClassNames_PaletteProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Palette Provider Class Name'.
  See Also:
    `ProviderClassNames.getPaletteProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_PaletteProviderPriority

    public EAttribute getProviderClassNames_PaletteProviderPriority()

  Specified by:
    `getProviderClassNames_PaletteProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Palette Provider Priority'.
  See Also:
    `ProviderClassNames.getPaletteProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_ModelingAssistantProviderClassName

    public EAttribute getProviderClassNames_ModelingAssistantProviderClassName()

  Specified by:
    `getProviderClassNames_ModelingAssistantProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Modeling Assistant Provider Class Name'.
  See Also:
    `ProviderClassNames.getModelingAssistantProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_ModelingAssistantProviderPriority

    public EAttribute getProviderClassNames_ModelingAssistantProviderPriority()

  Specified by:
    `getProviderClassNames_ModelingAssistantProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Modeling Assistant Provider Priority'.
  See Also:
    `ProviderClassNames.getModelingAssistantProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_PropertyProviderClassName

    public EAttribute getProviderClassNames_PropertyProviderClassName()

  Specified by:
    `getProviderClassNames_PropertyProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Property Provider Class Name'.
  See Also:
    `ProviderClassNames.getPropertyProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_PropertyProviderPriority

    public EAttribute getProviderClassNames_PropertyProviderPriority()

  Specified by:
    `getProviderClassNames_PropertyProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Property Provider Priority'.
  See Also:
    `ProviderClassNames.getPropertyProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_IconProviderClassName

    public EAttribute getProviderClassNames_IconProviderClassName()

  Specified by:
    `getProviderClassNames_IconProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Icon Provider Class Name'.
  See Also:
    `ProviderClassNames.getIconProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_IconProviderPriority

    public EAttribute getProviderClassNames_IconProviderPriority()

  Specified by:
    `getProviderClassNames_IconProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Icon Provider Priority'.
  See Also:
    `ProviderClassNames.getIconProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_ParserProviderClassName

    public EAttribute getProviderClassNames_ParserProviderClassName()

  Specified by:
    `getProviderClassNames_ParserProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Parser Provider Class Name'.
  See Also:
    `ProviderClassNames.getParserProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_ParserProviderPriority

    public EAttribute getProviderClassNames_ParserProviderPriority()

  Specified by:
    `getProviderClassNames_ParserProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Parser Provider Priority'.
  See Also:
    `ProviderClassNames.getParserProviderPriority()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_AbstractParserClassName

    public EAttribute getProviderClassNames_AbstractParserClassName()

  Specified by:
    `getProviderClassNames_AbstractParserClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Abstract Parser Class Name'.
  See Also:
    `ProviderClassNames.getAbstractParserClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_StructuralFeatureParserClassName

    public EAttribute getProviderClassNames_StructuralFeatureParserClassName()

  Specified by:
    `getProviderClassNames_StructuralFeatureParserClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Structural Feature Parser Class Name'.
  See Also:
    `ProviderClassNames.getStructuralFeatureParserClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_StructuralFeaturesParserClassName

    public EAttribute getProviderClassNames_StructuralFeaturesParserClassName()

  Specified by:
    `getProviderClassNames_StructuralFeaturesParserClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Structural Features Parser Class Name'.
  See Also:
    `ProviderClassNames.getStructuralFeaturesParserClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getProviderClassNames_ContributionItemProviderClassName

    public EAttribute getProviderClassNames_ContributionItemProviderClassName()

  Specified by:
    `getProviderClassNames_ContributionItemProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Contribution Item Provider Class Name'.
  See Also:
    `ProviderClassNames.getContributionItemProviderClassName()`, `GMFGenPackage.getProviderClassNames()`
  ** Generated **

### getShortcuts

    public EClass getShortcuts()

  Specified by:
    `getShortcuts` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Shortcuts'.
  See Also:
    `Shortcuts`
  ** Generated **

### getShortcuts_ShortcutsDecoratorProviderClassName

    public EAttribute getShortcuts_ShortcutsDecoratorProviderClassName()

  Specified by:
    `getShortcuts_ShortcutsDecoratorProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Shortcuts Decorator Provider Class Name'.
  See Also:
    `Shortcuts.getShortcutsDecoratorProviderClassName()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getShortcuts_ShortcutsDecoratorProviderPriority

    public EAttribute getShortcuts_ShortcutsDecoratorProviderPriority()

  Specified by:
    `getShortcuts_ShortcutsDecoratorProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Shortcuts Decorator Provider Priority'.
  See Also:
    `Shortcuts.getShortcutsDecoratorProviderPriority()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getShortcuts_CreateShortcutActionClassName

    public EAttribute getShortcuts_CreateShortcutActionClassName()

  Specified by:
    `getShortcuts_CreateShortcutActionClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Create Shortcut Action Class Name'.
  See Also:
    `Shortcuts.getCreateShortcutActionClassName()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getShortcuts_ContainsShortcutsTo

    public EAttribute getShortcuts_ContainsShortcutsTo()

  Specified by:
    `getShortcuts_ContainsShortcutsTo` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute list 'Contains Shortcuts To'.
  See Also:
    `Shortcuts.getContainsShortcutsTo()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getShortcuts_ShortcutsProvidedFor

    public EAttribute getShortcuts_ShortcutsProvidedFor()

  Specified by:
    `getShortcuts_ShortcutsProvidedFor` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute list 'Shortcuts Provided For'.
  See Also:
    `Shortcuts.getShortcutsProvidedFor()`, `GMFGenPackage.getShortcuts()`
  ** Generated **

### getPackageNames

    public EClass getPackageNames()

  Specified by:
    `getPackageNames` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Package Names'.
  See Also:
    `PackageNames`
  ** Generated **

### getPackageNames_EditCommandsPackageName

    public EAttribute getPackageNames_EditCommandsPackageName()

  Specified by:
    `getPackageNames_EditCommandsPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Commands Package Name'.
  See Also:
    `PackageNames.getEditCommandsPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_EditHelpersPackageName

    public EAttribute getPackageNames_EditHelpersPackageName()

  Specified by:
    `getPackageNames_EditHelpersPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Helpers Package Name'.
  See Also:
    `PackageNames.getEditHelpersPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_EditPartsPackageName

    public EAttribute getPackageNames_EditPartsPackageName()

  Specified by:
    `getPackageNames_EditPartsPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Parts Package Name'.
  See Also:
    `PackageNames.getEditPartsPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_EditPoliciesPackageName

    public EAttribute getPackageNames_EditPoliciesPackageName()

  Specified by:
    `getPackageNames_EditPoliciesPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Policies Package Name'.
  See Also:
    `PackageNames.getEditPoliciesPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_ProvidersPackageName

    public EAttribute getPackageNames_ProvidersPackageName()

  Specified by:
    `getPackageNames_ProvidersPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Providers Package Name'.
  See Also:
    `PackageNames.getProvidersPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getPackageNames_NotationViewFactoriesPackageName

    public EAttribute getPackageNames_NotationViewFactoriesPackageName()

  Specified by:
    `getPackageNames_NotationViewFactoriesPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Notation View Factories Package Name'.
  See Also:
    `PackageNames.getNotationViewFactoriesPackageName()`, `GMFGenPackage.getPackageNames()`
  ** Generated **

### getLinkConstraints

    public EClass getLinkConstraints()

  Specified by:
    `getLinkConstraints` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Link Constraints'.
  See Also:
    `LinkConstraints`
  ** Generated **

### getEditorCandies

    public EClass getEditorCandies()

  Specified by:
    `getEditorCandies` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Editor Candies'.
  See Also:
    `EditorCandies`
  ** Generated **

### getEditorCandies_CreationWizardClassName

    public EAttribute getEditorCandies_CreationWizardClassName()

  Specified by:
    `getEditorCandies_CreationWizardClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Creation Wizard Class Name'.
  See Also:
    `EditorCandies.getCreationWizardClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_CreationWizardPageClassName

    public EAttribute getEditorCandies_CreationWizardPageClassName()

  Specified by:
    `getEditorCandies_CreationWizardPageClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Creation Wizard Page Class Name'.
  See Also:
    `EditorCandies.getCreationWizardPageClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_CreationWizardIconPath

    public EAttribute getEditorCandies_CreationWizardIconPath()

  Specified by:
    `getEditorCandies_CreationWizardIconPath` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Creation Wizard Icon Path'.
  See Also:
    `EditorCandies.getCreationWizardIconPath()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_CreationWizardCategoryID

    public EAttribute getEditorCandies_CreationWizardCategoryID()

  Specified by:
    `getEditorCandies_CreationWizardCategoryID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Creation Wizard Category ID'.
  See Also:
    `EditorCandies.getCreationWizardCategoryID()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_DiagramEditorUtilClassName

    public EAttribute getEditorCandies_DiagramEditorUtilClassName()

  Specified by:
    `getEditorCandies_DiagramEditorUtilClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Diagram Editor Util Class Name'.
  See Also:
    `EditorCandies.getDiagramEditorUtilClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_DiagramFileCreatorClassName

    public EAttribute getEditorCandies_DiagramFileCreatorClassName()

  Specified by:
    `getEditorCandies_DiagramFileCreatorClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Diagram File Creator Class Name'.
  See Also:
    `EditorCandies.getDiagramFileCreatorClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_DocumentProviderClassName

    public EAttribute getEditorCandies_DocumentProviderClassName()

  Specified by:
    `getEditorCandies_DocumentProviderClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Document Provider Class Name'.
  See Also:
    `EditorCandies.getDocumentProviderClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_InitDiagramFileActionClassName

    public EAttribute getEditorCandies_InitDiagramFileActionClassName()

  Specified by:
    `getEditorCandies_InitDiagramFileActionClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Init Diagram File Action Class Name'.
  See Also:
    `EditorCandies.getInitDiagramFileActionClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_NewDiagramFileWizardClassName

    public EAttribute getEditorCandies_NewDiagramFileWizardClassName()

  Specified by:
    `getEditorCandies_NewDiagramFileWizardClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'New Diagram File Wizard Class Name'.
  See Also:
    `EditorCandies.getNewDiagramFileWizardClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_MatchingStrategyClassName

    public EAttribute getEditorCandies_MatchingStrategyClassName()

  Specified by:
    `getEditorCandies_MatchingStrategyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Matching Strategy Class Name'.
  See Also:
    `EditorCandies.getMatchingStrategyClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_PreferenceInitializerClassName

    public EAttribute getEditorCandies_PreferenceInitializerClassName()

  Specified by:
    `getEditorCandies_PreferenceInitializerClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Preference Initializer Class Name'.
  See Also:
    `EditorCandies.getPreferenceInitializerClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_VisualIDRegistryClassName

    public EAttribute getEditorCandies_VisualIDRegistryClassName()

  Specified by:
    `getEditorCandies_VisualIDRegistryClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Visual ID Registry Class Name'.
  See Also:
    `EditorCandies.getVisualIDRegistryClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_ElementChooserClassName

    public EAttribute getEditorCandies_ElementChooserClassName()

  Specified by:
    `getEditorCandies_ElementChooserClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Element Chooser Class Name'.
  See Also:
    `EditorCandies.getElementChooserClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_LoadResourceActionClassName

    public EAttribute getEditorCandies_LoadResourceActionClassName()

  Specified by:
    `getEditorCandies_LoadResourceActionClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Load Resource Action Class Name'.
  See Also:
    `EditorCandies.getLoadResourceActionClassName()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditorCandies_EditingDomainID

    public EAttribute getEditorCandies_EditingDomainID()

  Specified by:
    `getEditorCandies_EditingDomainID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Editing Domain ID'.
  See Also:
    `EditorCandies.getEditingDomainID()`, `GMFGenPackage.getEditorCandies()`
  ** Generated **

### getEditPartCandies

    public EClass getEditPartCandies()

  Specified by:
    `getEditPartCandies` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Edit Part Candies'.
  See Also:
    `EditPartCandies`
  ** Generated **

### getEditPartCandies_ReorientConnectionViewCommandClassName

    public EAttribute getEditPartCandies_ReorientConnectionViewCommandClassName()

  Specified by:
    `getEditPartCandies_ReorientConnectionViewCommandClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Reorient Connection View Command Class Name'.
  See Also:
    `EditPartCandies.getReorientConnectionViewCommandClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_BaseEditHelperClassName

    public EAttribute getEditPartCandies_BaseEditHelperClassName()

  Specified by:
    `getEditPartCandies_BaseEditHelperClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Base Edit Helper Class Name'.
  See Also:
    `EditPartCandies.getBaseEditHelperClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_EditPartFactoryClassName

    public EAttribute getEditPartCandies_EditPartFactoryClassName()

  Specified by:
    `getEditPartCandies_EditPartFactoryClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Part Factory Class Name'.
  See Also:
    `EditPartCandies.getEditPartFactoryClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_BaseExternalNodeLabelEditPartClassName

    public EAttribute getEditPartCandies_BaseExternalNodeLabelEditPartClassName()

  Specified by:
    `getEditPartCandies_BaseExternalNodeLabelEditPartClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Base External Node Label Edit Part Class Name'.
  See Also:
    `EditPartCandies.getBaseExternalNodeLabelEditPartClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_BaseItemSemanticEditPolicyClassName

    public EAttribute getEditPartCandies_BaseItemSemanticEditPolicyClassName()

  Specified by:
    `getEditPartCandies_BaseItemSemanticEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Base Item Semantic Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getBaseItemSemanticEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_BaseGraphicalNodeEditPolicyClassName

    public EAttribute getEditPartCandies_BaseGraphicalNodeEditPolicyClassName()

  Specified by:
    `getEditPartCandies_BaseGraphicalNodeEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Base Graphical Node Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getBaseGraphicalNodeEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_ReferenceConnectionEditPolicyClassName

    public EAttribute getEditPartCandies_ReferenceConnectionEditPolicyClassName()

  Specified by:
    `getEditPartCandies_ReferenceConnectionEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Reference Connection Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getReferenceConnectionEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_CanonicalEditPolicyClassName

    public EAttribute getEditPartCandies_CanonicalEditPolicyClassName()

  Specified by:
    `getEditPartCandies_CanonicalEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Canonical Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getCanonicalEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_TextSelectionEditPolicyClassName

    public EAttribute getEditPartCandies_TextSelectionEditPolicyClassName()

  Specified by:
    `getEditPartCandies_TextSelectionEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Text Selection Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getTextSelectionEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_TextNonResizableEditPolicyClassName

    public EAttribute getEditPartCandies_TextNonResizableEditPolicyClassName()

  Specified by:
    `getEditPartCandies_TextNonResizableEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Text Non Resizable Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getTextNonResizableEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getEditPartCandies_ExternalNodeLabelHostLayoutEditPolicyClassName

    public EAttribute getEditPartCandies_ExternalNodeLabelHostLayoutEditPolicyClassName()

  Specified by:
    `getEditPartCandies_ExternalNodeLabelHostLayoutEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'External Node Label Host Layout Edit Policy Class Name'.
  See Also:
    `EditPartCandies.getExternalNodeLabelHostLayoutEditPolicyClassName()`, `GMFGenPackage.getEditPartCandies()`
  ** Generated **

### getMeasurementUnit

    public EClass getMeasurementUnit()

  Specified by:
    `getMeasurementUnit` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Measurement Unit'.
  See Also:
    `MeasurementUnit`
  ** Generated **

### getMeasurementUnit_Units

    public EAttribute getMeasurementUnit_Units()

  Specified by:
    `getMeasurementUnit_Units` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Units'.
  See Also:
    `MeasurementUnit.getUnits()`, `GMFGenPackage.getMeasurementUnit()`
  ** Generated **

### getGenPlugin

    public EClass getGenPlugin()

  Specified by:
    `getGenPlugin` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Plugin'.
  See Also:
    `GenPlugin`
  ** Generated **

### getGenPlugin_EditorGen

    public EReference getGenPlugin_EditorGen()

  Specified by:
    `getGenPlugin_EditorGen` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenPlugin.getEditorGen()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_ID

    public EAttribute getGenPlugin_ID()

  Specified by:
    `getGenPlugin_ID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `GenPlugin.getID()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_Name

    public EAttribute getGenPlugin_Name()

  Specified by:
    `getGenPlugin_Name` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GenPlugin.getName()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_Provider

    public EAttribute getGenPlugin_Provider()

  Specified by:
    `getGenPlugin_Provider` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Provider'.
  See Also:
    `GenPlugin.getProvider()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_Version

    public EAttribute getGenPlugin_Version()

  Specified by:
    `getGenPlugin_Version` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Version'.
  See Also:
    `GenPlugin.getVersion()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_PrintingEnabled

    public EAttribute getGenPlugin_PrintingEnabled()

  Specified by:
    `getGenPlugin_PrintingEnabled` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Printing Enabled'.
  See Also:
    `GenPlugin.isPrintingEnabled()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getGenPlugin_ActivatorClassName

    public EAttribute getGenPlugin_ActivatorClassName()

  Specified by:
    `getGenPlugin_ActivatorClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Activator Class Name'.
  See Also:
    `GenPlugin.getActivatorClassName()`, `GMFGenPackage.getGenPlugin()`
  ** Generated **

### getElementType

    public EClass getElementType()

  Specified by:
    `getElementType` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Element Type'.
  See Also:
    `ElementType`
  ** Generated **

### getElementType_DiagramElement

    public EReference getElementType_DiagramElement()

  Specified by:
    `getElementType_DiagramElement` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Diagram Element'.
  See Also:
    `ElementType.getDiagramElement()`, `GMFGenPackage.getElementType()`
  ** Generated **

### getElementType_UniqueIdentifier

    public EAttribute getElementType_UniqueIdentifier()

  Specified by:
    `getElementType_UniqueIdentifier` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Unique Identifier'.
  See Also:
    `ElementType.getUniqueIdentifier()`, `GMFGenPackage.getElementType()`
  ** Generated **

### getElementType_DisplayName

    public EAttribute getElementType_DisplayName()

  Specified by:
    `getElementType_DisplayName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Display Name'.
  See Also:
    `ElementType.getDisplayName()`, `GMFGenPackage.getElementType()`
  ** Generated **

### getElementType_DefinedExternally

    public EAttribute getElementType_DefinedExternally()

  Specified by:
    `getElementType_DefinedExternally` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Defined Externally'.
  See Also:
    `ElementType.isDefinedExternally()`, `GMFGenPackage.getElementType()`
  ** Generated **

### getMetamodelType

    public EClass getMetamodelType()

  Specified by:
    `getMetamodelType` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Metamodel Type'.
  See Also:
    `MetamodelType`
  ** Generated **

### getMetamodelType_EditHelperClassName

    public EAttribute getMetamodelType_EditHelperClassName()

  Specified by:
    `getMetamodelType_EditHelperClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Helper Class Name'.
  See Also:
    `MetamodelType.getEditHelperClassName()`, `GMFGenPackage.getMetamodelType()`
  ** Generated **

### getSpecializationType

    public EClass getSpecializationType()

  Specified by:
    `getSpecializationType` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Specialization Type'.
  See Also:
    `SpecializationType`
  ** Generated **

### getSpecializationType_MetamodelType

    public EReference getSpecializationType_MetamodelType()

  Specified by:
    `getSpecializationType_MetamodelType` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Metamodel Type'.
  See Also:
    `SpecializationType.getMetamodelType()`, `GMFGenPackage.getSpecializationType()`
  ** Generated **

### getSpecializationType_EditHelperAdviceClassName

    public EAttribute getSpecializationType_EditHelperAdviceClassName()

  Specified by:
    `getSpecializationType_EditHelperAdviceClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Helper Advice Class Name'.
  See Also:
    `SpecializationType.getEditHelperAdviceClassName()`, `GMFGenPackage.getSpecializationType()`
  ** Generated **

### getNotationType

    public EClass getNotationType()

  Specified by:
    `getNotationType` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Notation Type'.
  See Also:
    `NotationType`
  ** Generated **

### getGenCommonBase

    public EClass getGenCommonBase()

  Specified by:
    `getGenCommonBase` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Common Base'.
  See Also:
    `GenCommonBase`
  ** Generated **

### getGenCommonBase_DiagramRunTimeClass

    public EReference getGenCommonBase_DiagramRunTimeClass()

  Specified by:
    `getGenCommonBase_DiagramRunTimeClass` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Diagram Run Time Class'.
  See Also:
    `GenCommonBase.getDiagramRunTimeClass()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_VisualID

    public EAttribute getGenCommonBase_VisualID()

  Specified by:
    `getGenCommonBase_VisualID` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Visual ID'.
  See Also:
    `GenCommonBase.getVisualID()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_ElementType

    public EReference getGenCommonBase_ElementType()

  Specified by:
    `getGenCommonBase_ElementType` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Element Type'.
  See Also:
    `GenCommonBase.getElementType()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_EditPartClassName

    public EAttribute getGenCommonBase_EditPartClassName()

  Specified by:
    `getGenCommonBase_EditPartClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Part Class Name'.
  See Also:
    `GenCommonBase.getEditPartClassName()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_ItemSemanticEditPolicyClassName

    public EAttribute getGenCommonBase_ItemSemanticEditPolicyClassName()

  Specified by:
    `getGenCommonBase_ItemSemanticEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Item Semantic Edit Policy Class Name'.
  See Also:
    `GenCommonBase.getItemSemanticEditPolicyClassName()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_NotationViewFactoryClassName

    public EAttribute getGenCommonBase_NotationViewFactoryClassName()

  Specified by:
    `getGenCommonBase_NotationViewFactoryClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Notation View Factory Class Name'.
  See Also:
    `GenCommonBase.getNotationViewFactoryClassName()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenCommonBase_Viewmap

    public EReference getGenCommonBase_Viewmap()

  Specified by:
    `getGenCommonBase_Viewmap` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Viewmap'.
  See Also:
    `GenCommonBase.getViewmap()`, `GMFGenPackage.getGenCommonBase()`
  ** Generated **

### getGenContainerBase

    public EClass getGenContainerBase()

  Specified by:
    `getGenContainerBase` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Container Base'.
  See Also:
    `GenContainerBase`
  ** Generated **

### getGenContainerBase_ContainedNodes

    public EReference getGenContainerBase_ContainedNodes()

  Specified by:
    `getGenContainerBase_ContainedNodes` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Contained Nodes'.
  See Also:
    `GenContainerBase.getContainedNodes()`, `GMFGenPackage.getGenContainerBase()`
  ** Generated **

### getGenNode

    public EClass getGenNode()

  Specified by:
    `getGenNode` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Node'.
  See Also:
    `GenNode`
  ** Generated **

### getGenNode_Labels

    public EReference getGenNode_Labels()

  Specified by:
    `getGenNode_Labels` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Labels'.
  See Also:
    `GenNode.getLabels()`, `GMFGenPackage.getGenNode()`
  ** Generated **

### getGenNode_Compartments

    public EReference getGenNode_Compartments()

  Specified by:
    `getGenNode_Compartments` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Compartments'.
  See Also:
    `GenNode.getCompartments()`, `GMFGenPackage.getGenNode()`
  ** Generated **

### getGenNode_GraphicalNodeEditPolicyClassName

    public EAttribute getGenNode_GraphicalNodeEditPolicyClassName()

  Specified by:
    `getGenNode_GraphicalNodeEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Graphical Node Edit Policy Class Name'.
  See Also:
    `GenNode.getGraphicalNodeEditPolicyClassName()`, `GMFGenPackage.getGenNode()`
  ** Generated **

### getGenTopLevelNode

    public EClass getGenTopLevelNode()

  Specified by:
    `getGenTopLevelNode` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Top Level Node'.
  See Also:
    `GenTopLevelNode`
  ** Generated **

### getGenTopLevelNode_Diagram

    public EReference getGenTopLevelNode_Diagram()

  Specified by:
    `getGenTopLevelNode_Diagram` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Diagram'.
  See Also:
    `GenTopLevelNode.getDiagram()`, `GMFGenPackage.getGenTopLevelNode()`
  ** Generated **

### getGenChildNode

    public EClass getGenChildNode()

  Specified by:
    `getGenChildNode` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Child Node'.
  See Also:
    `GenChildNode`
  ** Generated **

### getGenChildNode_Diagram

    public EReference getGenChildNode_Diagram()

  Specified by:
    `getGenChildNode_Diagram` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Diagram'.
  See Also:
    `GenChildNode.getDiagram()`, `GMFGenPackage.getGenChildNode()`
  ** Generated **

### getGenChildNode_Containers

    public EReference getGenChildNode_Containers()

  Specified by:
    `getGenChildNode_Containers` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Containers'.
  See Also:
    `GenChildNode.getContainers()`, `GMFGenPackage.getGenChildNode()`
  ** Generated **

### getGenChildLabelNode

    public EClass getGenChildLabelNode()

  Specified by:
    `getGenChildLabelNode` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Child Label Node'.
  See Also:
    `GenChildLabelNode`
  ** Generated **

### getGenChildLabelNode_LabelReadOnly

    public EAttribute getGenChildLabelNode_LabelReadOnly()

  Specified by:
    `getGenChildLabelNode_LabelReadOnly` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Label Read Only'.
  See Also:
    `GenChildLabelNode.isLabelReadOnly()`, `GMFGenPackage.getGenChildLabelNode()`
  ** Generated **

### getGenChildLabelNode_LabelElementIcon

    public EAttribute getGenChildLabelNode_LabelElementIcon()

  Specified by:
    `getGenChildLabelNode_LabelElementIcon` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Label Element Icon'.
  See Also:
    `GenChildLabelNode.isLabelElementIcon()`, `GMFGenPackage.getGenChildLabelNode()`
  ** Generated **

### getGenChildLabelNode_LabelModelFacet

    public EReference getGenChildLabelNode_LabelModelFacet()

  Specified by:
    `getGenChildLabelNode_LabelModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Label Model Facet'.
  See Also:
    `GenChildLabelNode.getLabelModelFacet()`, `GMFGenPackage.getGenChildLabelNode()`
  ** Generated **

### getGenCompartment

    public EClass getGenCompartment()

  Specified by:
    `getGenCompartment` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Compartment'.
  See Also:
    `GenCompartment`
  ** Generated **

### getGenCompartment_Title

    public EAttribute getGenCompartment_Title()

  Specified by:
    `getGenCompartment_Title` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Title'.
  See Also:
    `GenCompartment.getTitle()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_CanCollapse

    public EAttribute getGenCompartment_CanCollapse()

  Specified by:
    `getGenCompartment_CanCollapse` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Can Collapse'.
  See Also:
    `GenCompartment.isCanCollapse()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_HideIfEmpty

    public EAttribute getGenCompartment_HideIfEmpty()

  Specified by:
    `getGenCompartment_HideIfEmpty` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Hide If Empty'.
  See Also:
    `GenCompartment.isHideIfEmpty()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_NeedsTitle

    public EAttribute getGenCompartment_NeedsTitle()

  Specified by:
    `getGenCompartment_NeedsTitle` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Needs Title'.
  See Also:
    `GenCompartment.isNeedsTitle()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_Diagram

    public EReference getGenCompartment_Diagram()

  Specified by:
    `getGenCompartment_Diagram` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Diagram'.
  See Also:
    `GenCompartment.getDiagram()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_Node

    public EReference getGenCompartment_Node()

  Specified by:
    `getGenCompartment_Node` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Node'.
  See Also:
    `GenCompartment.getNode()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenCompartment_ListLayout

    public EAttribute getGenCompartment_ListLayout()

  Specified by:
    `getGenCompartment_ListLayout` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'List Layout'.
  See Also:
    `GenCompartment.isListLayout()`, `GMFGenPackage.getGenCompartment()`
  ** Generated **

### getGenNode_ModelFacet

    public EReference getGenNode_ModelFacet()

  Specified by:
    `getGenNode_ModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Model Facet'.
  See Also:
    `GenNode.getModelFacet()`, `GMFGenPackage.getGenNode()`
  ** Generated **

### getGenChildContainer

    public EClass getGenChildContainer()

  Specified by:
    `getGenChildContainer` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Child Container'.
  See Also:
    `GenChildContainer`
  ** Generated **

### getGenChildContainer_ChildNodes

    public EReference getGenChildContainer_ChildNodes()

  Specified by:
    `getGenChildContainer_ChildNodes` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Child Nodes'.
  See Also:
    `GenChildContainer.getChildNodes()`, `GMFGenPackage.getGenChildContainer()`
  ** Generated **

### getGenChildContainer_CanonicalEditPolicyClassName

    public EAttribute getGenChildContainer_CanonicalEditPolicyClassName()

  Specified by:
    `getGenChildContainer_CanonicalEditPolicyClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Canonical Edit Policy Class Name'.
  See Also:
    `GenChildContainer.getCanonicalEditPolicyClassName()`, `GMFGenPackage.getGenChildContainer()`
  ** Generated **

### getGenLink

    public EClass getGenLink()

  Specified by:
    `getGenLink` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Link'.
  See Also:
    `GenLink`
  ** Generated **

### getGenLink_Diagram

    public EReference getGenLink_Diagram()

  Specified by:
    `getGenLink_Diagram` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Diagram'.
  See Also:
    `GenLink.getDiagram()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_ModelFacet

    public EReference getGenLink_ModelFacet()

  Specified by:
    `getGenLink_ModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Model Facet'.
  See Also:
    `GenLink.getModelFacet()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_Labels

    public EReference getGenLink_Labels()

  Specified by:
    `getGenLink_Labels` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Labels'.
  See Also:
    `GenLink.getLabels()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_OutgoingCreationAllowed

    public EAttribute getGenLink_OutgoingCreationAllowed()

  Specified by:
    `getGenLink_OutgoingCreationAllowed` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Outgoing Creation Allowed'.
  See Also:
    `GenLink.isOutgoingCreationAllowed()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_IncomingCreationAllowed

    public EAttribute getGenLink_IncomingCreationAllowed()

  Specified by:
    `getGenLink_IncomingCreationAllowed` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Incoming Creation Allowed'.
  See Also:
    `GenLink.isIncomingCreationAllowed()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_ViewDirectionAlignedWithModel

    public EAttribute getGenLink_ViewDirectionAlignedWithModel()

  Specified by:
    `getGenLink_ViewDirectionAlignedWithModel` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'View Direction Aligned With Model'.
  See Also:
    `GenLink.isViewDirectionAlignedWithModel()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLink_CreationConstraints

    public EReference getGenLink_CreationConstraints()

  Specified by:
    `getGenLink_CreationConstraints` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Creation Constraints'.
  See Also:
    `GenLink.getCreationConstraints()`, `GMFGenPackage.getGenLink()`
  ** Generated **

### getGenLabel

    public EClass getGenLabel()

  Specified by:
    `getGenLabel` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Label'.
  See Also:
    `GenLabel`
  ** Generated **

### getGenLabel_ReadOnly

    public EAttribute getGenLabel_ReadOnly()

  Specified by:
    `getGenLabel_ReadOnly` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Read Only'.
  See Also:
    `GenLabel.isReadOnly()`, `GMFGenPackage.getGenLabel()`
  ** Generated **

### getGenLabel_ElementIcon

    public EAttribute getGenLabel_ElementIcon()

  Specified by:
    `getGenLabel_ElementIcon` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Element Icon'.
  See Also:
    `GenLabel.isElementIcon()`, `GMFGenPackage.getGenLabel()`
  ** Generated **

### getGenLabel_ModelFacet

    public EReference getGenLabel_ModelFacet()

  Specified by:
    `getGenLabel_ModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Model Facet'.
  See Also:
    `GenLabel.getModelFacet()`, `GMFGenPackage.getGenLabel()`
  ** Generated **

### getGenNodeLabel

    public EClass getGenNodeLabel()

  Specified by:
    `getGenNodeLabel` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Node Label'.
  See Also:
    `GenNodeLabel`
  ** Generated **

### getGenNodeLabel_Node

    public EReference getGenNodeLabel_Node()

  Specified by:
    `getGenNodeLabel_Node` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Node'.
  See Also:
    `GenNodeLabel.getNode()`, `GMFGenPackage.getGenNodeLabel()`
  ** Generated **

### getGenExternalNodeLabel

    public EClass getGenExternalNodeLabel()

  Specified by:
    `getGenExternalNodeLabel` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen External Node Label'.
  See Also:
    `GenExternalNodeLabel`
  ** Generated **

### getGenLinkLabel

    public EClass getGenLinkLabel()

  Specified by:
    `getGenLinkLabel` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Link Label'.
  See Also:
    `GenLinkLabel`
  ** Generated **

### getGenLinkLabel_Link

    public EReference getGenLinkLabel_Link()

  Specified by:
    `getGenLinkLabel_Link` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Link'.
  See Also:
    `GenLinkLabel.getLink()`, `GMFGenPackage.getGenLinkLabel()`
  ** Generated **

### getGenLinkLabel_Alignment

    public EAttribute getGenLinkLabel_Alignment()

  Specified by:
    `getGenLinkLabel_Alignment` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Alignment'.
  See Also:
    `GenLinkLabel.getAlignment()`, `GMFGenPackage.getGenLinkLabel()`
  ** Generated **

### getModelFacet

    public EClass getModelFacet()

  Specified by:
    `getModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Model Facet'.
  See Also:
    `ModelFacet`
  ** Generated **

### getLinkModelFacet

    public EClass getLinkModelFacet()

  Specified by:
    `getLinkModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Link Model Facet'.
  See Also:
    `LinkModelFacet`
  ** Generated **

### getLabelModelFacet

    public EClass getLabelModelFacet()

  Specified by:
    `getLabelModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Label Model Facet'.
  See Also:
    `LabelModelFacet`
  ** Generated **

### getTypeModelFacet

    public EClass getTypeModelFacet()

  Specified by:
    `getTypeModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Type Model Facet'.
  See Also:
    `TypeModelFacet`
  ** Generated **

### getTypeModelFacet_MetaClass

    public EReference getTypeModelFacet_MetaClass()

  Specified by:
    `getTypeModelFacet_MetaClass` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Meta Class'.
  See Also:
    `TypeModelFacet.getMetaClass()`, `GMFGenPackage.getTypeModelFacet()`
  ** Generated **

### getTypeModelFacet_ContainmentMetaFeature

    public EReference getTypeModelFacet_ContainmentMetaFeature()

  Specified by:
    `getTypeModelFacet_ContainmentMetaFeature` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Containment Meta Feature'.
  See Also:
    `TypeModelFacet.getContainmentMetaFeature()`, `GMFGenPackage.getTypeModelFacet()`
  ** Generated **

### getTypeModelFacet_ChildMetaFeature

    public EReference getTypeModelFacet_ChildMetaFeature()

  Specified by:
    `getTypeModelFacet_ChildMetaFeature` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Child Meta Feature'.
  See Also:
    `TypeModelFacet.getChildMetaFeature()`, `GMFGenPackage.getTypeModelFacet()`
  ** Generated **

### getTypeModelFacet_ModelElementSelector

    public EReference getTypeModelFacet_ModelElementSelector()

  Specified by:
    `getTypeModelFacet_ModelElementSelector` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Model Element Selector'.
  See Also:
    `TypeModelFacet.getModelElementSelector()`, `GMFGenPackage.getTypeModelFacet()`
  ** Generated **

### getTypeModelFacet_ModelElementInitializer

    public EReference getTypeModelFacet_ModelElementInitializer()

  Specified by:
    `getTypeModelFacet_ModelElementInitializer` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Model Element Initializer'.
  See Also:
    `TypeModelFacet.getModelElementInitializer()`, `GMFGenPackage.getTypeModelFacet()`
  ** Generated **

### getFeatureModelFacet

    public EClass getFeatureModelFacet()

  Specified by:
    `getFeatureModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Feature Model Facet'.
  See Also:
    `FeatureModelFacet`
  ** Generated **

### getFeatureModelFacet_MetaFeature

    public EReference getFeatureModelFacet_MetaFeature()

  Specified by:
    `getFeatureModelFacet_MetaFeature` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Meta Feature'.
  See Also:
    `FeatureModelFacet.getMetaFeature()`, `GMFGenPackage.getFeatureModelFacet()`
  ** Generated **

### getFeatureLabelModelFacet

    public EClass getFeatureLabelModelFacet()

  Specified by:
    `getFeatureLabelModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Feature Label Model Facet'.
  See Also:
    `FeatureLabelModelFacet`
  ** Generated **

### getFeatureLabelModelFacet_ViewPattern

    public EAttribute getFeatureLabelModelFacet_ViewPattern()

  Specified by:
    `getFeatureLabelModelFacet_ViewPattern` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'View Pattern'.
  See Also:
    `FeatureLabelModelFacet.getViewPattern()`, `GMFGenPackage.getFeatureLabelModelFacet()`
  ** Generated **

### getFeatureLabelModelFacet_EditPattern

    public EAttribute getFeatureLabelModelFacet_EditPattern()

  Specified by:
    `getFeatureLabelModelFacet_EditPattern` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Pattern'.
  See Also:
    `FeatureLabelModelFacet.getEditPattern()`, `GMFGenPackage.getFeatureLabelModelFacet()`
  ** Generated **

### getCompositeFeatureModelFacet

    public EClass getCompositeFeatureModelFacet()

  Specified by:
    `getCompositeFeatureModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Composite Feature Model Facet'.
  See Also:
    `CompositeFeatureModelFacet`
  ** Generated **

### getCompositeFeatureModelFacet_MetaFeatures

    public EReference getCompositeFeatureModelFacet_MetaFeatures()

  Specified by:
    `getCompositeFeatureModelFacet_MetaFeatures` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Meta Features'.
  See Also:
    `CompositeFeatureModelFacet.getMetaFeatures()`, `GMFGenPackage.getCompositeFeatureModelFacet()`
  ** Generated **

### getCompositeFeatureLabelModelFacet

    public EClass getCompositeFeatureLabelModelFacet()

  Specified by:
    `getCompositeFeatureLabelModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Composite Feature Label Model Facet'.
  See Also:
    `CompositeFeatureLabelModelFacet`
  ** Generated **

### getCompositeFeatureLabelModelFacet_ViewPattern

    public EAttribute getCompositeFeatureLabelModelFacet_ViewPattern()

  Specified by:
    `getCompositeFeatureLabelModelFacet_ViewPattern` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'View Pattern'.
  See Also:
    `CompositeFeatureLabelModelFacet.getViewPattern()`, `GMFGenPackage.getCompositeFeatureLabelModelFacet()`
  ** Generated **

### getCompositeFeatureLabelModelFacet_EditPattern

    public EAttribute getCompositeFeatureLabelModelFacet_EditPattern()

  Specified by:
    `getCompositeFeatureLabelModelFacet_EditPattern` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Edit Pattern'.
  See Also:
    `CompositeFeatureLabelModelFacet.getEditPattern()`, `GMFGenPackage.getCompositeFeatureLabelModelFacet()`
  ** Generated **

### getDesignLabelModelFacet

    public EClass getDesignLabelModelFacet()

  Specified by:
    `getDesignLabelModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Design Label Model Facet'.
  See Also:
    `DesignLabelModelFacet`
  ** Generated **

### getTypeLinkModelFacet

    public EClass getTypeLinkModelFacet()

  Specified by:
    `getTypeLinkModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Type Link Model Facet'.
  See Also:
    `TypeLinkModelFacet`
  ** Generated **

### getTypeLinkModelFacet_SourceMetaFeature

    public EReference getTypeLinkModelFacet_SourceMetaFeature()

  Specified by:
    `getTypeLinkModelFacet_SourceMetaFeature` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Source Meta Feature'.
  See Also:
    `TypeLinkModelFacet.getSourceMetaFeature()`, `GMFGenPackage.getTypeLinkModelFacet()`
  ** Generated **

### getTypeLinkModelFacet_TargetMetaFeature

    public EReference getTypeLinkModelFacet_TargetMetaFeature()

  Specified by:
    `getTypeLinkModelFacet_TargetMetaFeature` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Target Meta Feature'.
  See Also:
    `TypeLinkModelFacet.getTargetMetaFeature()`, `GMFGenPackage.getTypeLinkModelFacet()`
  ** Generated **

### getFeatureLinkModelFacet

    public EClass getFeatureLinkModelFacet()

  Specified by:
    `getFeatureLinkModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Feature Link Model Facet'.
  See Also:
    `FeatureLinkModelFacet`
  ** Generated **

### getViewmap

    public EClass getViewmap()

  Specified by:
    `getViewmap` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Viewmap'.
  See Also:
    `Viewmap`
  ** Generated **

### getViewmap_Attributes

    public EReference getViewmap_Attributes()

  Specified by:
    `getViewmap_Attributes` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Attributes'.
  See Also:
    `Viewmap.getAttributes()`, `GMFGenPackage.getViewmap()`
  ** Generated **

### getViewmap_RequiredPluginIDs

    public EAttribute getViewmap_RequiredPluginIDs()

  Specified by:
    `getViewmap_RequiredPluginIDs` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute list 'Required Plugin IDs'.
  See Also:
    `Viewmap.getRequiredPluginIDs()`, `GMFGenPackage.getViewmap()`
  ** Generated **

### getViewmap_LayoutType

    public EAttribute getViewmap_LayoutType()

  Specified by:
    `getViewmap_LayoutType` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Layout Type'.
  See Also:
    `Viewmap.getLayoutType()`, `GMFGenPackage.getViewmap()`
  ** Generated **

### getAttributes

    public EClass getAttributes()

  Specified by:
    `getAttributes` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Attributes'.
  See Also:
    `Attributes`
  ** Generated **

### getColorAttributes

    public EClass getColorAttributes()

  Specified by:
    `getColorAttributes` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Color Attributes'.
  See Also:
    `ColorAttributes`
  ** Generated **

### getColorAttributes_ForegroundColor

    public EAttribute getColorAttributes_ForegroundColor()

  Specified by:
    `getColorAttributes_ForegroundColor` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Foreground Color'.
  See Also:
    `ColorAttributes.getForegroundColor()`, `GMFGenPackage.getColorAttributes()`
  ** Generated **

### getColorAttributes_BackgroundColor

    public EAttribute getColorAttributes_BackgroundColor()

  Specified by:
    `getColorAttributes_BackgroundColor` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Background Color'.
  See Also:
    `ColorAttributes.getBackgroundColor()`, `GMFGenPackage.getColorAttributes()`
  ** Generated **

### getStyleAttributes

    public EClass getStyleAttributes()

  Specified by:
    `getStyleAttributes` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Style Attributes'.
  See Also:
    `StyleAttributes`
  ** Generated **

### getStyleAttributes_FixedFont

    public EAttribute getStyleAttributes_FixedFont()

  Specified by:
    `getStyleAttributes_FixedFont` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Fixed Font'.
  See Also:
    `StyleAttributes.isFixedFont()`, `GMFGenPackage.getStyleAttributes()`
  ** Generated **

### getStyleAttributes_FixedForeground

    public EAttribute getStyleAttributes_FixedForeground()

  Specified by:
    `getStyleAttributes_FixedForeground` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Fixed Foreground'.
  See Also:
    `StyleAttributes.isFixedForeground()`, `GMFGenPackage.getStyleAttributes()`
  ** Generated **

### getStyleAttributes_FixedBackground

    public EAttribute getStyleAttributes_FixedBackground()

  Specified by:
    `getStyleAttributes_FixedBackground` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Fixed Background'.
  See Also:
    `StyleAttributes.isFixedBackground()`, `GMFGenPackage.getStyleAttributes()`
  ** Generated **

### getResizeConstraints

    public EClass getResizeConstraints()

  Specified by:
    `getResizeConstraints` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Resize Constraints'.
  See Also:
    `ResizeConstraints`
  ** Generated **

### getResizeConstraints_ResizeHandles

    public EAttribute getResizeConstraints_ResizeHandles()

  Specified by:
    `getResizeConstraints_ResizeHandles` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Resize Handles'.
  See Also:
    `ResizeConstraints.getResizeHandles()`, `GMFGenPackage.getResizeConstraints()`
  ** Generated **

### getResizeConstraints_NonResizeHandles

    public EAttribute getResizeConstraints_NonResizeHandles()

  Specified by:
    `getResizeConstraints_NonResizeHandles` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Non Resize Handles'.
  See Also:
    `ResizeConstraints.getNonResizeHandles()`, `GMFGenPackage.getResizeConstraints()`
  ** Generated **

### getDefaultSizeAttributes

    public EClass getDefaultSizeAttributes()

  Specified by:
    `getDefaultSizeAttributes` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Default Size Attributes'.
  See Also:
    `DefaultSizeAttributes`
  ** Generated **

### getDefaultSizeAttributes_Width

    public EAttribute getDefaultSizeAttributes_Width()

  Specified by:
    `getDefaultSizeAttributes_Width` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Width'.
  See Also:
    `DefaultSizeAttributes.getWidth()`, `GMFGenPackage.getDefaultSizeAttributes()`
  ** Generated **

### getDefaultSizeAttributes_Height

    public EAttribute getDefaultSizeAttributes_Height()

  Specified by:
    `getDefaultSizeAttributes_Height` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Height'.
  See Also:
    `DefaultSizeAttributes.getHeight()`, `GMFGenPackage.getDefaultSizeAttributes()`
  ** Generated **

### getLabelOffsetAttributes

    public EClass getLabelOffsetAttributes()

  Specified by:
    `getLabelOffsetAttributes` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Label Offset Attributes'.
  See Also:
    `LabelOffsetAttributes`
  ** Generated **

### getLabelOffsetAttributes_X

    public EAttribute getLabelOffsetAttributes_X()

  Specified by:
    `getLabelOffsetAttributes_X` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'X'.
  See Also:
    `LabelOffsetAttributes.getX()`, `GMFGenPackage.getLabelOffsetAttributes()`
  ** Generated **

### getLabelOffsetAttributes_Y

    public EAttribute getLabelOffsetAttributes_Y()

  Specified by:
    `getLabelOffsetAttributes_Y` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Y'.
  See Also:
    `LabelOffsetAttributes.getY()`, `GMFGenPackage.getLabelOffsetAttributes()`
  ** Generated **

### getFigureViewmap

    public EClass getFigureViewmap()

  Specified by:
    `getFigureViewmap` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Figure Viewmap'.
  See Also:
    `FigureViewmap`
  ** Generated **

### getFigureViewmap_FigureQualifiedClassName

    public EAttribute getFigureViewmap_FigureQualifiedClassName()

  Specified by:
    `getFigureViewmap_FigureQualifiedClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Figure Qualified Class Name'.
  See Also:
    `FigureViewmap.getFigureQualifiedClassName()`, `GMFGenPackage.getFigureViewmap()`
  ** Generated **

### getSnippetViewmap

    public EClass getSnippetViewmap()

  Specified by:
    `getSnippetViewmap` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Snippet Viewmap'.
  See Also:
    `SnippetViewmap`
  ** Generated **

### getSnippetViewmap_Body

    public EAttribute getSnippetViewmap_Body()

  Specified by:
    `getSnippetViewmap_Body` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Body'.
  See Also:
    `SnippetViewmap.getBody()`, `GMFGenPackage.getSnippetViewmap()`
  ** Generated **

### getInnerClassViewmap

    public EClass getInnerClassViewmap()

  Specified by:
    `getInnerClassViewmap` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Inner Class Viewmap'.
  See Also:
    `InnerClassViewmap`
  ** Generated **

### getInnerClassViewmap_ClassName

    public EAttribute getInnerClassViewmap_ClassName()

  Specified by:
    `getInnerClassViewmap_ClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `InnerClassViewmap.getClassName()`, `GMFGenPackage.getInnerClassViewmap()`
  ** Generated **

### getInnerClassViewmap_ClassBody

    public EAttribute getInnerClassViewmap_ClassBody()

  Specified by:
    `getInnerClassViewmap_ClassBody` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Class Body'.
  See Also:
    `InnerClassViewmap.getClassBody()`, `GMFGenPackage.getInnerClassViewmap()`
  ** Generated **

### getParentAssignedViewmap

    public EClass getParentAssignedViewmap()

  Specified by:
    `getParentAssignedViewmap` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Parent Assigned Viewmap'.
  See Also:
    `ParentAssignedViewmap`
  ** Generated **

### getParentAssignedViewmap_GetterName

    public EAttribute getParentAssignedViewmap_GetterName()

  Specified by:
    `getParentAssignedViewmap_GetterName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Getter Name'.
  See Also:
    `ParentAssignedViewmap.getGetterName()`, `GMFGenPackage.getParentAssignedViewmap()`
  ** Generated **

### getParentAssignedViewmap_SetterName

    public EAttribute getParentAssignedViewmap_SetterName()

  Specified by:
    `getParentAssignedViewmap_SetterName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Setter Name'.
  See Also:
    `ParentAssignedViewmap.getSetterName()`, `GMFGenPackage.getParentAssignedViewmap()`
  ** Generated **

### getParentAssignedViewmap_FigureQualifiedClassName

    public EAttribute getParentAssignedViewmap_FigureQualifiedClassName()

  Specified by:
    `getParentAssignedViewmap_FigureQualifiedClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Figure Qualified Class Name'.
  See Also:
    `ParentAssignedViewmap.getFigureQualifiedClassName()`, `GMFGenPackage.getParentAssignedViewmap()`
  ** Generated **

### getValueExpression

    public EClass getValueExpression()

  Specified by:
    `getValueExpression` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Value Expression'.
  See Also:
    `ValueExpression`
  ** Generated **

### getValueExpression_Body

    public EAttribute getValueExpression_Body()

  Specified by:
    `getValueExpression_Body` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Body'.
  See Also:
    `ValueExpression.getBody()`, `GMFGenPackage.getValueExpression()`
  ** Generated **

### getValueExpression_Language

    public EAttribute getValueExpression_Language()

  Specified by:
    `getValueExpression_Language` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Language'.
  See Also:
    `ValueExpression.getLanguage()`, `GMFGenPackage.getValueExpression()`
  ** Generated **

### getValueExpression_LangName

    public EAttribute getValueExpression_LangName()

  Specified by:
    `getValueExpression_LangName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Lang Name'.
  See Also:
    `ValueExpression.getLangName()`, `GMFGenPackage.getValueExpression()`
  ** Generated **

### getGenConstraint

    public EClass getGenConstraint()

  Specified by:
    `getGenConstraint` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Constraint'.
  See Also:
    `GenConstraint`
  ** Generated **

### getPalette

    public EClass getPalette()

  Specified by:
    `getPalette` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Palette'.
  See Also:
    `Palette`
  ** Generated **

### getPalette_Diagram

    public EReference getPalette_Diagram()

  Specified by:
    `getPalette_Diagram` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Diagram'.
  See Also:
    `Palette.getDiagram()`, `GMFGenPackage.getPalette()`
  ** Generated **

### getPalette_Flyout

    public EAttribute getPalette_Flyout()

  Specified by:
    `getPalette_Flyout` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Flyout'.
  See Also:
    `Palette.isFlyout()`, `GMFGenPackage.getPalette()`
  ** Generated **

### getPalette_Groups

    public EReference getPalette_Groups()

  Specified by:
    `getPalette_Groups` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Groups'.
  See Also:
    `Palette.getGroups()`, `GMFGenPackage.getPalette()`
  ** Generated **

### getPalette_PackageName

    public EAttribute getPalette_PackageName()

  Specified by:
    `getPalette_PackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Package Name'.
  See Also:
    `Palette.getPackageName()`, `GMFGenPackage.getPalette()`
  ** Generated **

### getPalette_FactoryClassName

    public EAttribute getPalette_FactoryClassName()

  Specified by:
    `getPalette_FactoryClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Factory Class Name'.
  See Also:
    `Palette.getFactoryClassName()`, `GMFGenPackage.getPalette()`
  ** Generated **

### getEntryBase

    public EClass getEntryBase()

  Specified by:
    `getEntryBase` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Entry Base'.
  See Also:
    `EntryBase`
  ** Generated **

### getEntryBase_Title

    public EAttribute getEntryBase_Title()

  Specified by:
    `getEntryBase_Title` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Title'.
  See Also:
    `EntryBase.getTitle()`, `GMFGenPackage.getEntryBase()`
  ** Generated **

### getEntryBase_Description

    public EAttribute getEntryBase_Description()

  Specified by:
    `getEntryBase_Description` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `EntryBase.getDescription()`, `GMFGenPackage.getEntryBase()`
  ** Generated **

### getEntryBase_LargeIconPath

    public EAttribute getEntryBase_LargeIconPath()

  Specified by:
    `getEntryBase_LargeIconPath` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Large Icon Path'.
  See Also:
    `EntryBase.getLargeIconPath()`, `GMFGenPackage.getEntryBase()`
  ** Generated **

### getEntryBase_SmallIconPath

    public EAttribute getEntryBase_SmallIconPath()

  Specified by:
    `getEntryBase_SmallIconPath` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Small Icon Path'.
  See Also:
    `EntryBase.getSmallIconPath()`, `GMFGenPackage.getEntryBase()`
  ** Generated **

### getEntryBase_CreateMethodName

    public EAttribute getEntryBase_CreateMethodName()

  Specified by:
    `getEntryBase_CreateMethodName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Create Method Name'.
  See Also:
    `EntryBase.getCreateMethodName()`, `GMFGenPackage.getEntryBase()`
  ** Generated **

### getToolEntry

    public EClass getToolEntry()

  Specified by:
    `getToolEntry` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Tool Entry'.
  See Also:
    `ToolEntry`
  ** Generated **

### getToolEntry_Default

    public EAttribute getToolEntry_Default()

  Specified by:
    `getToolEntry_Default` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Default'.
  See Also:
    `ToolEntry.isDefault()`, `GMFGenPackage.getToolEntry()`
  ** Generated **

### getToolEntry_GenNodes

    public EReference getToolEntry_GenNodes()

  Specified by:
    `getToolEntry_GenNodes` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Gen Nodes'.
  See Also:
    `ToolEntry.getGenNodes()`, `GMFGenPackage.getToolEntry()`
  ** Generated **

### getToolEntry_GenLinks

    public EReference getToolEntry_GenLinks()

  Specified by:
    `getToolEntry_GenLinks` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Gen Links'.
  See Also:
    `ToolEntry.getGenLinks()`, `GMFGenPackage.getToolEntry()`
  ** Generated **

### getToolEntry_Elements

    public EReference getToolEntry_Elements()

  Specified by:
    `getToolEntry_Elements` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Elements'.
  See Also:
    `ToolEntry.getElements()`, `GMFGenPackage.getToolEntry()`
  ** Generated **

### getToolEntry_QualifiedToolName

    public EAttribute getToolEntry_QualifiedToolName()

  Specified by:
    `getToolEntry_QualifiedToolName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Qualified Tool Name'.
  See Also:
    `ToolEntry.getQualifiedToolName()`, `GMFGenPackage.getToolEntry()`
  ** Generated **

### getToolEntry_Properties

    public EReference getToolEntry_Properties()

  Specified by:
    `getToolEntry_Properties` in interface `GMFGenPackage`
  Returns:
    the meta object for the map 'Properties'.
  See Also:
    `ToolEntry.getProperties()`, `GMFGenPackage.getToolEntry()`
  ** Generated **

### getToolGroupItem

    public EClass getToolGroupItem()

  Specified by:
    `getToolGroupItem` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Tool Group Item'.
  See Also:
    `ToolGroupItem`
  ** Generated **

### getSeparator

    public EClass getSeparator()

  Specified by:
    `getSeparator` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Separator'.
  See Also:
    `Separator`
  ** Generated **

### getToolGroup

    public EClass getToolGroup()

  Specified by:
    `getToolGroup` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Tool Group'.
  See Also:
    `ToolGroup`
  ** Generated **

### getToolGroup_Stack

    public EAttribute getToolGroup_Stack()

  Specified by:
    `getToolGroup_Stack` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Stack'.
  See Also:
    `ToolGroup.isStack()`, `GMFGenPackage.getToolGroup()`
  ** Generated **

### getToolGroup_Collapse

    public EAttribute getToolGroup_Collapse()

  Specified by:
    `getToolGroup_Collapse` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Collapse'.
  See Also:
    `ToolGroup.isCollapse()`, `GMFGenPackage.getToolGroup()`
  ** Generated **

### getToolGroup_Entries

    public EReference getToolGroup_Entries()

  Specified by:
    `getToolGroup_Entries` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Entries'.
  See Also:
    `ToolGroup.getEntries()`, `GMFGenPackage.getToolGroup()`
  ** Generated **

### getToolGroup_ToolsOnly

    public EAttribute getToolGroup_ToolsOnly()

  Specified by:
    `getToolGroup_ToolsOnly` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Tools Only'.
  See Also:
    `ToolGroup.isToolsOnly()`, `GMFGenPackage.getToolGroup()`
  ** Generated **

### getGenElementInitializer

    public EClass getGenElementInitializer()

  Specified by:
    `getGenElementInitializer` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Element Initializer'.
  See Also:
    `GenElementInitializer`
  ** Generated **

### getGenElementInitializer_TypeModelFacet

    public EReference getGenElementInitializer_TypeModelFacet()

  Specified by:
    `getGenElementInitializer_TypeModelFacet` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Type Model Facet'.
  See Also:
    `GenElementInitializer.getTypeModelFacet()`, `GMFGenPackage.getGenElementInitializer()`
  ** Generated **

### getGenFeatureSeqInitializer

    public EClass getGenFeatureSeqInitializer()

  Specified by:
    `getGenFeatureSeqInitializer` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Feature Seq Initializer'.
  See Also:
    `GenFeatureSeqInitializer`
  ** Generated **

### getGenFeatureSeqInitializer_Initializers

    public EReference getGenFeatureSeqInitializer_Initializers()

  Specified by:
    `getGenFeatureSeqInitializer_Initializers` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Initializers'.
  See Also:
    `GenFeatureSeqInitializer.getInitializers()`, `GMFGenPackage.getGenFeatureSeqInitializer()`
  ** Generated **

### getGenFeatureValueSpec

    public EClass getGenFeatureValueSpec()

  Specified by:
    `getGenFeatureValueSpec` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Feature Value Spec'.
  See Also:
    `GenFeatureValueSpec`
  ** Generated **

### getGenFeatureValueSpec_Feature

    public EReference getGenFeatureValueSpec_Feature()

  Specified by:
    `getGenFeatureValueSpec_Feature` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Feature'.
  See Also:
    `GenFeatureValueSpec.getFeature()`, `GMFGenPackage.getGenFeatureValueSpec()`
  ** Generated **

### getGenFeatureValueSpec_FeatureSeqInitializer

    public EReference getGenFeatureValueSpec_FeatureSeqInitializer()

  Specified by:
    `getGenFeatureValueSpec_FeatureSeqInitializer` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Feature Seq Initializer'.
  See Also:
    `GenFeatureValueSpec.getFeatureSeqInitializer()`, `GMFGenPackage.getGenFeatureValueSpec()`
  ** Generated **

### getGenLinkConstraints

    public EClass getGenLinkConstraints()

  Specified by:
    `getGenLinkConstraints` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Link Constraints'.
  See Also:
    `GenLinkConstraints`
  ** Generated **

### getGenLinkConstraints_Link

    public EReference getGenLinkConstraints_Link()

  Specified by:
    `getGenLinkConstraints_Link` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Link'.
  See Also:
    `GenLinkConstraints.getLink()`, `GMFGenPackage.getGenLinkConstraints()`
  ** Generated **

### getGenLinkConstraints_SourceEnd

    public EReference getGenLinkConstraints_SourceEnd()

  Specified by:
    `getGenLinkConstraints_SourceEnd` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Source End'.
  See Also:
    `GenLinkConstraints.getSourceEnd()`, `GMFGenPackage.getGenLinkConstraints()`
  ** Generated **

### getGenLinkConstraints_TargetEnd

    public EReference getGenLinkConstraints_TargetEnd()

  Specified by:
    `getGenLinkConstraints_TargetEnd` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Target End'.
  See Also:
    `GenLinkConstraints.getTargetEnd()`, `GMFGenPackage.getGenLinkConstraints()`
  ** Generated **

### getGenRuleContainerBase

    public EClass getGenRuleContainerBase()

  Specified by:
    `getGenRuleContainerBase` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Rule Container Base'.
  See Also:
    `GenRuleContainerBase`
  ** Generated **

### getGenRuleContainerBase_Editor

    public EReference getGenRuleContainerBase_Editor()

  Specified by:
    `getGenRuleContainerBase_Editor` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Editor'.
  See Also:
    `GenRuleContainerBase.getEditor()`, `GMFGenPackage.getGenRuleContainerBase()`
  ** Generated **

### getGenAuditContainer

    public EClass getGenAuditContainer()

  Specified by:
    `getGenAuditContainer` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Audit Container'.
  See Also:
    `GenAuditContainer`
  ** Generated **

### getGenAuditContainer_Audits

    public EReference getGenAuditContainer_Audits()

  Specified by:
    `getGenAuditContainer_Audits` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Audits'.
  See Also:
    `GenAuditContainer.getAudits()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenAuditContainer_ChildContainers

    public EReference getGenAuditContainer_ChildContainers()

  Specified by:
    `getGenAuditContainer_ChildContainers` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Child Containers'.
  See Also:
    `GenAuditContainer.getChildContainers()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenRuleBase

    public EClass getGenRuleBase()

  Specified by:
    `getGenRuleBase` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Rule Base'.
  See Also:
    `GenRuleBase`
  ** Generated **

### getGenRuleBase_Name

    public EAttribute getGenRuleBase_Name()

  Specified by:
    `getGenRuleBase_Name` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GenRuleBase.getName()`, `GMFGenPackage.getGenRuleBase()`
  ** Generated **

### getGenRuleBase_Description

    public EAttribute getGenRuleBase_Description()

  Specified by:
    `getGenRuleBase_Description` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `GenRuleBase.getDescription()`, `GMFGenPackage.getGenRuleBase()`
  ** Generated **

### getGenAuditContainer_Id

    public EAttribute getGenAuditContainer_Id()

  Specified by:
    `getGenAuditContainer_Id` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `GenAuditContainer.getId()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenAuditContainer_Name

    public EAttribute getGenAuditContainer_Name()

  Specified by:
    `getGenAuditContainer_Name` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `GenAuditContainer.getName()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenAuditContainer_Description

    public EAttribute getGenAuditContainer_Description()

  Specified by:
    `getGenAuditContainer_Description` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `GenAuditContainer.getDescription()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenAuditContainer_ParentContainer

    public EReference getGenAuditContainer_ParentContainer()

  Specified by:
    `getGenAuditContainer_ParentContainer` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Parent Container'.
  See Also:
    `GenAuditContainer.getParentContainer()`, `GMFGenPackage.getGenAuditContainer()`
  ** Generated **

### getGenAuditRule

    public EClass getGenAuditRule()

  Specified by:
    `getGenAuditRule` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Audit Rule'.
  See Also:
    `GenAuditRule`
  ** Generated **

### getGenAuditRule_Id

    public EAttribute getGenAuditRule_Id()

  Specified by:
    `getGenAuditRule_Id` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `GenAuditRule.getId()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Rule

    public EReference getGenAuditRule_Rule()

  Specified by:
    `getGenAuditRule_Rule` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Rule'.
  See Also:
    `GenAuditRule.getRule()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Target

    public EReference getGenAuditRule_Target()

  Specified by:
    `getGenAuditRule_Target` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `GenAuditRule.getTarget()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Message

    public EAttribute getGenAuditRule_Message()

  Specified by:
    `getGenAuditRule_Message` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Message'.
  See Also:
    `GenAuditRule.getMessage()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Severity

    public EAttribute getGenAuditRule_Severity()

  Specified by:
    `getGenAuditRule_Severity` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Severity'.
  See Also:
    `GenAuditRule.getSeverity()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_UseInLiveMode

    public EAttribute getGenAuditRule_UseInLiveMode()

  Specified by:
    `getGenAuditRule_UseInLiveMode` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Use In Live Mode'.
  See Also:
    `GenAuditRule.isUseInLiveMode()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenAuditRule_Container

    public EReference getGenAuditRule_Container()

  Specified by:
    `getGenAuditRule_Container` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Container'.
  See Also:
    `GenAuditRule.getContainer()`, `GMFGenPackage.getGenAuditRule()`
  ** Generated **

### getGenRuleTarget

    public EClass getGenRuleTarget()

  Specified by:
    `getGenRuleTarget` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Rule Target'.
  See Also:
    `GenRuleTarget`
  ** Generated **

### getGenDomainElementTarget

    public EClass getGenDomainElementTarget()

  Specified by:
    `getGenDomainElementTarget` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Domain Element Target'.
  See Also:
    `GenDomainElementTarget`
  ** Generated **

### getGenDomainElementTarget_Element

    public EReference getGenDomainElementTarget_Element()

  Specified by:
    `getGenDomainElementTarget_Element` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `GenDomainElementTarget.getElement()`, `GMFGenPackage.getGenDomainElementTarget()`
  ** Generated **

### getGenDiagramElementTarget

    public EClass getGenDiagramElementTarget()

  Specified by:
    `getGenDiagramElementTarget` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Diagram Element Target'.
  See Also:
    `GenDiagramElementTarget`
  ** Generated **

### getGenDiagramElementTarget_Element

    public EReference getGenDiagramElementTarget_Element()

  Specified by:
    `getGenDiagramElementTarget_Element` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Element'.
  See Also:
    `GenDiagramElementTarget.getElement()`, `GMFGenPackage.getGenDiagramElementTarget()`
  ** Generated **

### getGenDomainAttributeTarget

    public EClass getGenDomainAttributeTarget()

  Specified by:
    `getGenDomainAttributeTarget` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Domain Attribute Target'.
  See Also:
    `GenDomainAttributeTarget`
  ** Generated **

### getGenDomainAttributeTarget_Attribute

    public EReference getGenDomainAttributeTarget_Attribute()

  Specified by:
    `getGenDomainAttributeTarget_Attribute` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `GenDomainAttributeTarget.getAttribute()`, `GMFGenPackage.getGenDomainAttributeTarget()`
  ** Generated **

### getGenDomainAttributeTarget_NullAsError

    public EAttribute getGenDomainAttributeTarget_NullAsError()

  Specified by:
    `getGenDomainAttributeTarget_NullAsError` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Null As Error'.
  See Also:
    `GenDomainAttributeTarget.isNullAsError()`, `GMFGenPackage.getGenDomainAttributeTarget()`
  ** Generated **

### getGenNotationElementTarget

    public EClass getGenNotationElementTarget()

  Specified by:
    `getGenNotationElementTarget` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Notation Element Target'.
  See Also:
    `GenNotationElementTarget`
  ** Generated **

### getGenNotationElementTarget_Element

    public EReference getGenNotationElementTarget_Element()

  Specified by:
    `getGenNotationElementTarget_Element` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `GenNotationElementTarget.getElement()`, `GMFGenPackage.getGenNotationElementTarget()`
  ** Generated **

### getGenMetricContainer

    public EClass getGenMetricContainer()

  Specified by:
    `getGenMetricContainer` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Metric Container'.
  See Also:
    `GenMetricContainer`
  ** Generated **

### getGenMetricContainer_Metrics

    public EReference getGenMetricContainer_Metrics()

  Specified by:
    `getGenMetricContainer_Metrics` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Metrics'.
  See Also:
    `GenMetricContainer.getMetrics()`, `GMFGenPackage.getGenMetricContainer()`
  ** Generated **

### getGenMetricRule

    public EClass getGenMetricRule()

  Specified by:
    `getGenMetricRule` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Metric Rule'.
  See Also:
    `GenMetricRule`
  ** Generated **

### getGenMetricRule_Key

    public EAttribute getGenMetricRule_Key()

  Specified by:
    `getGenMetricRule_Key` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `GenMetricRule.getKey()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenMetricRule_Rule

    public EReference getGenMetricRule_Rule()

  Specified by:
    `getGenMetricRule_Rule` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Rule'.
  See Also:
    `GenMetricRule.getRule()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenMetricRule_Target

    public EReference getGenMetricRule_Target()

  Specified by:
    `getGenMetricRule_Target` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `GenMetricRule.getTarget()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenMetricRule_Container

    public EReference getGenMetricRule_Container()

  Specified by:
    `getGenMetricRule_Container` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Container'.
  See Also:
    `GenMetricRule.getContainer()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenMetricRule_LowLimit

    public EAttribute getGenMetricRule_LowLimit()

  Specified by:
    `getGenMetricRule_LowLimit` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Low Limit'.
  See Also:
    `GenMetricRule.getLowLimit()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenMetricRule_HighLimit

    public EAttribute getGenMetricRule_HighLimit()

  Specified by:
    `getGenMetricRule_HighLimit` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'High Limit'.
  See Also:
    `GenMetricRule.getHighLimit()`, `GMFGenPackage.getGenMetricRule()`
  ** Generated **

### getGenAuditedMetricTarget

    public EClass getGenAuditedMetricTarget()

  Specified by:
    `getGenAuditedMetricTarget` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Audited Metric Target'.
  See Also:
    `GenAuditedMetricTarget`
  ** Generated **

### getGenAuditedMetricTarget_Metric

    public EReference getGenAuditedMetricTarget_Metric()

  Specified by:
    `getGenAuditedMetricTarget_Metric` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Metric'.
  See Also:
    `GenAuditedMetricTarget.getMetric()`, `GMFGenPackage.getGenAuditedMetricTarget()`
  ** Generated **

### getGenAuditedMetricTarget_MetricValueContext

    public EReference getGenAuditedMetricTarget_MetricValueContext()

  Specified by:
    `getGenAuditedMetricTarget_MetricValueContext` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference 'Metric Value Context'.
  See Also:
    `GenAuditedMetricTarget.getMetricValueContext()`, `GMFGenPackage.getGenAuditedMetricTarget()`
  ** Generated **

### getGenAuditable

    public EClass getGenAuditable()

  Specified by:
    `getGenAuditable` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Auditable'.
  See Also:
    `GenAuditable`
  ** Generated **

### getGenMeasurable

    public EClass getGenMeasurable()

  Specified by:
    `getGenMeasurable` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Measurable'.
  See Also:
    `GenMeasurable`
  ** Generated **

### getGenExpressionProviderContainer

    public EClass getGenExpressionProviderContainer()

  Specified by:
    `getGenExpressionProviderContainer` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Expression Provider Container'.
  See Also:
    `GenExpressionProviderContainer`
  ** Generated **

### getGenExpressionProviderContainer_ExpressionsPackageName

    public EAttribute getGenExpressionProviderContainer_ExpressionsPackageName()

  Specified by:
    `getGenExpressionProviderContainer_ExpressionsPackageName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Expressions Package Name'.
  See Also:
    `GenExpressionProviderContainer.getExpressionsPackageName()`, `GMFGenPackage.getGenExpressionProviderContainer()`
  ** Generated **

### getGenExpressionProviderContainer_AbstractExpressionClassName

    public EAttribute getGenExpressionProviderContainer_AbstractExpressionClassName()

  Specified by:
    `getGenExpressionProviderContainer_AbstractExpressionClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Abstract Expression Class Name'.
  See Also:
    `GenExpressionProviderContainer.getAbstractExpressionClassName()`, `GMFGenPackage.getGenExpressionProviderContainer()`
  ** Generated **

### getGenExpressionProviderContainer_Providers

    public EReference getGenExpressionProviderContainer_Providers()

  Specified by:
    `getGenExpressionProviderContainer_Providers` in interface `GMFGenPackage`
  Returns:
    the meta object for the containment reference list 'Providers'.
  See Also:
    `GenExpressionProviderContainer.getProviders()`, `GMFGenPackage.getGenExpressionProviderContainer()`
  ** Generated **

### getGenExpressionProviderContainer_EditorGen

    public EReference getGenExpressionProviderContainer_EditorGen()

  Specified by:
    `getGenExpressionProviderContainer_EditorGen` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Editor Gen'.
  See Also:
    `GenExpressionProviderContainer.getEditorGen()`, `GMFGenPackage.getGenExpressionProviderContainer()`
  ** Generated **

### getGenExpressionProviderBase

    public EClass getGenExpressionProviderBase()

  Specified by:
    `getGenExpressionProviderBase` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Expression Provider Base'.
  See Also:
    `GenExpressionProviderBase`
  ** Generated **

### getGenExpressionProviderBase_Expressions

    public EReference getGenExpressionProviderBase_Expressions()

  Specified by:
    `getGenExpressionProviderBase_Expressions` in interface `GMFGenPackage`
  Returns:
    the meta object for the reference list 'Expressions'.
  See Also:
    `GenExpressionProviderBase.getExpressions()`, `GMFGenPackage.getGenExpressionProviderBase()`
  ** Generated **

### getGenExpressionProviderBase_Container

    public EReference getGenExpressionProviderBase_Container()

  Specified by:
    `getGenExpressionProviderBase_Container` in interface `GMFGenPackage`
  Returns:
    the meta object for the container reference 'Container'.
  See Also:
    `GenExpressionProviderBase.getContainer()`, `GMFGenPackage.getGenExpressionProviderBase()`
  ** Generated **

### getGenJavaExpressionProvider

    public EClass getGenJavaExpressionProvider()

  Specified by:
    `getGenJavaExpressionProvider` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Java Expression Provider'.
  See Also:
    `GenJavaExpressionProvider`
  ** Generated **

### getGenExpressionInterpreter

    public EClass getGenExpressionInterpreter()

  Specified by:
    `getGenExpressionInterpreter` in interface `GMFGenPackage`
  Returns:
    the meta object for class 'Gen Expression Interpreter'.
  See Also:
    `GenExpressionInterpreter`
  ** Generated **

### getGenExpressionInterpreter_Language

    public EAttribute getGenExpressionInterpreter_Language()

  Specified by:
    `getGenExpressionInterpreter_Language` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Language'.
  See Also:
    `GenExpressionInterpreter.getLanguage()`, `GMFGenPackage.getGenExpressionInterpreter()`
  ** Generated **

### getGenExpressionInterpreter_ClassName

    public EAttribute getGenExpressionInterpreter_ClassName()

  Specified by:
    `getGenExpressionInterpreter_ClassName` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `GenExpressionInterpreter.getClassName()`, `GMFGenPackage.getGenExpressionInterpreter()`
  ** Generated **

### getGenExpressionInterpreter_RequiredPluginIDs

    public EAttribute getGenExpressionInterpreter_RequiredPluginIDs()

  Specified by:
    `getGenExpressionInterpreter_RequiredPluginIDs` in interface `GMFGenPackage`
  Returns:
    the meta object for the attribute list 'Required Plugin IDs'.
  See Also:
    `GenExpressionInterpreter.getRequiredPluginIDs()`, `GMFGenPackage.getGenExpressionInterpreter()`
  ** Generated **

### getProviderPriority

    public EEnum getProviderPriority()

  Specified by:
    `getProviderPriority` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Provider Priority'.
  See Also:
    `ProviderPriority`
  ** Generated **

### getLinkLabelAlignment

    public EEnum getLinkLabelAlignment()

  Specified by:
    `getLinkLabelAlignment` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Link Label Alignment'.
  See Also:
    `LinkLabelAlignment`
  ** Generated **

### getViewmapLayoutType

    public EEnum getViewmapLayoutType()

  Specified by:
    `getViewmapLayoutType` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Viewmap Layout Type'.
  See Also:
    `ViewmapLayoutType`
  ** Generated **

### getGenSeverity

    public EEnum getGenSeverity()

  Specified by:
    `getGenSeverity` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Gen Severity'.
  See Also:
    `GenSeverity`
  ** Generated **

### getGenLanguage

    public EEnum getGenLanguage()

  Specified by:
    `getGenLanguage` in interface `GMFGenPackage`
  Returns:
    the meta object for enum 'Gen Language'.
  See Also:
    `GenLanguage`
  ** Generated **

### getGMFGenFactory

    public GMFGenFactory getGMFGenFactory()

  Specified by:
    `getGMFGenFactory` in interface `GMFGenPackage`
  Returns:
    the factory that creates the instances of the model.
  ** Generated **

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

  ** Generated **

### initializePackageContentsGen

    public void initializePackageContentsGen()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

  ** Generated **

### createEmfaticAnnotationMapAnnotations

    protected void createEmfaticAnnotationMapAnnotations()

  Initializes the annotations for http://www.eclipse.org/emf/2004/EmfaticAnnotationMap.

  ** Generated **

### createConstraintsAnnotations

    protected void createConstraintsAnnotations()

  Initializes the annotations for http://www.eclipse.org/gmf/2005/constraints.

  ** Generated **

### createMetaAnnotations

    protected void createMetaAnnotations()

  Initializes the annotations for http://www.eclipse.org/gmf/2005/constraints/meta.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.